#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_width, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_height, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_debug, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_gpuva_manager_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_manager_destroy, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_gem_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");
KSYMTAB_FUNC(__drm_set_edid_firmware_path, "", "");
KSYMTAB_FUNC(__drm_get_edid_firmware_path, "", "");
KSYMTAB_FUNC(drm_privacy_screen_lookup_add, "", "");
KSYMTAB_FUNC(drm_privacy_screen_lookup_remove, "", "");
KSYMTAB_FUNC(drm_privacy_screen_get, "", "");
KSYMTAB_FUNC(drm_privacy_screen_put, "", "");
KSYMTAB_FUNC(drm_privacy_screen_set_sw_state, "", "");
KSYMTAB_FUNC(drm_privacy_screen_get_state, "", "");
KSYMTAB_FUNC(drm_privacy_screen_register_notifier, "", "");
KSYMTAB_FUNC(drm_privacy_screen_unregister_notifier, "", "");
KSYMTAB_FUNC(drm_privacy_screen_register, "", "");
KSYMTAB_FUNC(drm_privacy_screen_unregister, "", "");
KSYMTAB_FUNC(drm_privacy_screen_call_notifier_chain, "", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x6fd2ca58, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x46b26e12, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x5870af69, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0xf85ccf4d, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0x0f8694b3, "");
SYMBOL_CRC(drm_atomic_state_init, 0x7abb6aff, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x45e40076, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x41f3967d, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x54823816, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0xe32b4061, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0xdeb66660, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x23b790be, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x1d44717b, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0xee7d44fa, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x23c26c92, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xa2b32e85, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x5ebf25ba, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xdfce67ad, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0xfa651fee, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0xf037b7fc, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0xc15f5dc2, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0xdf025681, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x8a4d1ec3, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x79fe3d23, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x36ff3385, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0xb524a0bb, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xbf3a6f6b, "");
SYMBOL_CRC(drm_atomic_check_only, 0x11ca75cf, "");
SYMBOL_CRC(drm_atomic_commit, 0xa5db8c23, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x39186bd8, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x5f8d4f6d, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x61659de7, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0xe5de2990, "");
SYMBOL_CRC(drm_state_dump, 0x6a2a730a, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x41d9e335, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x4c228c37, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xc89af888, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x6a294a84, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x0a1dfe5d, "");
SYMBOL_CRC(drm_is_current_master, 0x1d433544, "");
SYMBOL_CRC(drm_master_get, 0x96f1a6bc, "");
SYMBOL_CRC(drm_file_get_master, 0xac4daa24, "");
SYMBOL_CRC(drm_master_put, 0x7458df1e, "");
SYMBOL_CRC(drm_master_internal_acquire, 0xf26c421e, "");
SYMBOL_CRC(drm_master_internal_release, 0xc8da1d12, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0xe5f53194, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xb1586208, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x4543ce73, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x230c8838, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x3e07509b, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x63e65b10, "");
SYMBOL_CRC(drm_bridge_add, 0x7af5d6ae, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x2005d615, "");
SYMBOL_CRC(drm_bridge_remove, 0x80607ab5, "");
SYMBOL_CRC(drm_bridge_attach, 0x4f670252, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0x3af34856, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x141b83bf, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x19706e86, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0xdfc1a694, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x8fced14b, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0xec0776c4, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x625bf65d, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xb7e3e342, "");
SYMBOL_CRC(drm_bridge_detect, 0x3501ef71, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xc25b5d31, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x5c40ffab, "_gpl");
SYMBOL_CRC(drm_bridge_get_edid, 0x1e18d38a, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x4e192b57, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x170bcfab, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x6fb8abf0, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0xadac8a99, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x5050a9af, "");
SYMBOL_CRC(drm_client_register, 0x8f682561, "");
SYMBOL_CRC(drm_client_release, 0xcfe06112, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x29f75ed6, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x1541e8ca, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x6f1017db, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x49ca9237, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0xc85fba41, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x1714df76, "");
SYMBOL_CRC(drm_client_modeset_probe, 0xdd68da50, "");
SYMBOL_CRC(drm_client_rotation, 0x609f860f, "");
SYMBOL_CRC(drm_client_modeset_check, 0x906ca214, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x1f13204a, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x70c280fc, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x6c98aea5, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x7a9a26a2, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xa5b40c05, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x04053b46, "");
SYMBOL_CRC(drm_color_lut_check, 0x50c516a4, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0xb546b0ed, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0xce3c7ef0, "");
SYMBOL_CRC(drmm_connector_init, 0xf2348fc4, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x05ca0015, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xbbbfba57, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x07380a12, "");
SYMBOL_CRC(drm_connector_cleanup, 0x51c9f770, "");
SYMBOL_CRC(drm_connector_register, 0x2158cbd9, "");
SYMBOL_CRC(drm_connector_unregister, 0x3a0ddef4, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x79e64112, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x98df664a, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x20d2d7f9, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0x7c0d9cad, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xc65b939f, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x58821b51, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x666a28fa, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x4c4bf771, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xbff748b9, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0x95477517, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x7f8329ac, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x559a0b9e, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x073afcad, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x4ef728a3, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0xdf528a33, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0xc1dc2310, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x2e70beff, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0xd127c8fd, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0xee76db6b, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x84e1428d, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x4dfde27f, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x1b2a2e1e, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x4ee2bb42, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x7c89cb34, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x699fe29b, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x5ab52f06, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x469c8f48, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x9218fd8a, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x02912373, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x15edbc79, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x6bd22a90, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0xe59385e9, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0xb4658ec7, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x171f0fb2, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0xf7307d3f, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x996be191, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x23e45a77, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xdf5380c6, "");
SYMBOL_CRC(drm_crtc_from_index, 0x767319ac, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0xdf245c61, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0xaa368320, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x63dca21e, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x4b91be1f, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0xbde80882, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0xf0349f01, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0xeda78a82, "");
SYMBOL_CRC(drm_put_dev, 0x5bd3bd0d, "");
SYMBOL_CRC(drm_dev_enter, 0xc155ad7a, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0xc714fb0c, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0xbd700c2f, "");
SYMBOL_CRC(drm_dev_alloc, 0x1a672c45, "");
SYMBOL_CRC(drm_dev_get, 0x82b166f8, "");
SYMBOL_CRC(drm_dev_put, 0x0260654a, "");
SYMBOL_CRC(drm_dev_register, 0xfafb24a1, "");
SYMBOL_CRC(drm_dev_unregister, 0x63289e34, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x24993e50, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0x8d72789e, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0xe3f62e6c, "");
SYMBOL_CRC(drm_do_get_edid, 0xb86b5b1a, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x4489a5e9, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xea0bd4a4, "");
SYMBOL_CRC(drm_get_edid, 0x4cd1604f, "");
SYMBOL_CRC(drm_edid_read_custom, 0xd0e524fe, "");
SYMBOL_CRC(drm_edid_read_ddc, 0xbb00db79, "");
SYMBOL_CRC(drm_edid_read, 0xa2cc0ad3, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xed05ce86, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x87e75fd1, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x6c57f82f, "");
SYMBOL_CRC(drm_edid_duplicate, 0x7edf470b, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x0b4e49e3, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0xc03582fc, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x7c545285, "");
SYMBOL_CRC(drm_edid_to_sad, 0x6ac01ea8, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3cdc37e9, "");
SYMBOL_CRC(drm_av_sync_delay, 0x3edb1554, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0x38690d99, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xa248afde, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0x9a27f77b, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0xd348d5bb, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xdbce7ea0, "");
SYMBOL_CRC(drm_add_edid_modes, 0x994c51b4, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x6acd5a7e, "");
SYMBOL_CRC(drm_set_preferred_mode, 0xf947f160, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x2905e1e3, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x69ea7101, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xc135e4fe, "");
SYMBOL_CRC(drm_encoder_init, 0x0d5549c1, "");
SYMBOL_CRC(drm_encoder_cleanup, 0xecccb890, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x088d94f2, "");
SYMBOL_CRC(drmm_encoder_init, 0xdfd1236c, "");
SYMBOL_CRC(drm_open, 0x16caf51b, "");
SYMBOL_CRC(drm_release, 0xf5d1620e, "");
SYMBOL_CRC(drm_release_noglobal, 0xc2f906ec, "");
SYMBOL_CRC(drm_read, 0x134890bd, "");
SYMBOL_CRC(drm_poll, 0x822aaf85, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x85334d3b, "");
SYMBOL_CRC(drm_event_reserve_init, 0x5c774b4c, "");
SYMBOL_CRC(drm_event_cancel_free, 0xb6b3fab1, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0xce421c56, "");
SYMBOL_CRC(drm_send_event_locked, 0x0576d2bc, "");
SYMBOL_CRC(drm_send_event, 0x83b6bbbc, "");
SYMBOL_CRC(drm_print_memory_stats, 0x16b809c8, "");
SYMBOL_CRC(drm_show_memory_stats, 0x91225755, "");
SYMBOL_CRC(drm_show_fdinfo, 0xd971eb19, "");
SYMBOL_CRC(mock_drm_getfile, 0xf98081df, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0xdc13d367, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0xc7b95402, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x5ae6a460, "");
SYMBOL_CRC(drm_framebuffer_init, 0xc243e7c4, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x2d01444a, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x864d2735, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0xe3d5be99, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x18cc11ae, "");
SYMBOL_CRC(drm_framebuffer_plane_width, 0x594d8ab7, "");
SYMBOL_CRC(drm_framebuffer_plane_height, 0x57d5a382, "");
SYMBOL_CRC(drm_gem_object_init, 0x5d2d908a, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x4e674f99, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x0f23235e, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x572504d3, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x3df4472a, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0xfe4982d7, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x149a7323, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0xdd0a9e4c, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x2d191f67, "");
SYMBOL_CRC(drm_gem_get_pages, 0x0937cfef, "");
SYMBOL_CRC(drm_gem_put_pages, 0x3d0b625e, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0xaaa08058, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x91ec61ad, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x13536686, "");
SYMBOL_CRC(drm_gem_object_release, 0x30185598, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xc7c3b641, "");
SYMBOL_CRC(drm_gem_vm_close, 0xc64f2bd4, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x3b5627a7, "");
SYMBOL_CRC(drm_gem_mmap, 0xfcfc7027, "");
SYMBOL_CRC(drm_gem_vmap, 0x972cd78c, "");
SYMBOL_CRC(drm_gem_vunmap, 0x106dff75, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x09f9f006, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0xf8f6a689, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xd6c103f1, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xa0ea7f7e, "");
SYMBOL_CRC(drm_gem_lru_init, 0xa956955b, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x3009a6c3, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0x76600bd9, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0xd89b5141, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xf42f7c58, "");
SYMBOL_CRC(drm_gem_evict, 0x189a4e94, "");
SYMBOL_CRC(drm_noop, 0xafc5b6e3, "");
SYMBOL_CRC(drm_invalid_op, 0xf31c34e9, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x99a6b3b2, "");
SYMBOL_CRC(drm_ioctl, 0x3b8c8a68, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x00f90d51, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0xd9a52be5, "");
SYMBOL_CRC(drmm_kmalloc, 0xd9029ac6, "");
SYMBOL_CRC(drmm_kstrdup, 0x5e87c241, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x80671a78, "");
SYMBOL_CRC(__drmm_mutex_release, 0xa4542eee, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x0f7acb66, "");
SYMBOL_CRC(drm_mode_config_reset, 0x51ced0dc, "");
SYMBOL_CRC(drmm_mode_config_init, 0x34594a3f, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x068e2462, "");
SYMBOL_CRC(drm_mode_object_find, 0xbdc25217, "");
SYMBOL_CRC(drm_mode_object_put, 0xc0059d39, "");
SYMBOL_CRC(drm_mode_object_get, 0xc07f5630, "");
SYMBOL_CRC(drm_object_attach_property, 0x19413d87, "");
SYMBOL_CRC(drm_object_property_set_value, 0xde85c712, "");
SYMBOL_CRC(drm_object_property_get_value, 0x044b8f74, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x615c780b, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0x72ef0f33, "");
SYMBOL_CRC(drm_mode_destroy, 0xdd8619d3, "");
SYMBOL_CRC(drm_mode_probed_add, 0xac06aee5, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xfcd1d44e, "");
SYMBOL_CRC(drm_cvt_mode, 0x2e7a3d61, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x2391b4d1, "");
SYMBOL_CRC(drm_gtf_mode, 0x482d520e, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x0c74c4a3, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x9b2ee530, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x0cffb090, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xf0868646, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xf79c0e0e, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x1af3a58d, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x8ef77387, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe3ac15d5, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xdd3c6afa, "");
SYMBOL_CRC(drm_mode_is_420, 0xdb320a08, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x4657b8de, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x7f97728d, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x199dca4e, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x5d8e0868, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0xf6694f7b, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xf3ec9903, "");
SYMBOL_CRC(drm_modeset_backoff, 0x8168deb9, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x03c12932, "");
SYMBOL_CRC(drm_modeset_lock, 0xc0de2b36, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x4b9017b1, "");
SYMBOL_CRC(drm_modeset_unlock, 0x1af7b0fd, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x38130f13, "");
SYMBOL_CRC(drm_universal_plane_init, 0x796b8e5f, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x61f6d0ec, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x02367684, "");
SYMBOL_CRC(drm_plane_cleanup, 0x362d9fd9, "");
SYMBOL_CRC(drm_plane_from_index, 0xe9f07e76, "");
SYMBOL_CRC(drm_plane_force_disable, 0xc8cb89fb, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xaa980660, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x7bf4951d, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x0c992e70, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x68abfc41, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x4b04d77f, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0xfabb2b91, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x21a035a0, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x8bbda05e, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xbcf3c47c, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x6b635059, "");
SYMBOL_CRC(drm_gem_map_attach, 0xf1e449b0, "");
SYMBOL_CRC(drm_gem_map_detach, 0x35ea9249, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xa3ddfda4, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0xb30396cf, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x75e05a16, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0xa20513b0, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x9c6d8382, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0xcefed5c5, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x2cc568e6, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x9b3e5489, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x035296b6, "");
SYMBOL_CRC(drm_gem_prime_import, 0xed457f01, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x83147e21, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0xc0ac409f, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x3b0e5e9c, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xea00fe81, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x513072fe, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0xfeb953b1, "");
SYMBOL_CRC(__drm_printfn_info, 0xe317082a, "");
SYMBOL_CRC(__drm_printfn_debug, 0xf824c7db, "");
SYMBOL_CRC(__drm_printfn_err, 0x3f405489, "");
SYMBOL_CRC(drm_puts, 0x521ad6d0, "");
SYMBOL_CRC(drm_printf, 0x28779e52, "");
SYMBOL_CRC(drm_print_bits, 0x32a0cc37, "");
SYMBOL_CRC(drm_dev_printk, 0xaa1f7146, "");
SYMBOL_CRC(__drm_dev_dbg, 0x303e5513, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x528d3962, "");
SYMBOL_CRC(drm_property_create, 0xe38fe8b1, "");
SYMBOL_CRC(drm_property_create_enum, 0x1740648c, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xdd485828, "");
SYMBOL_CRC(drm_property_create_range, 0x313e5cb5, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x615a7f17, "");
SYMBOL_CRC(drm_property_create_object, 0x8216b6cc, "");
SYMBOL_CRC(drm_property_create_bool, 0x2f855176, "");
SYMBOL_CRC(drm_property_add_enum, 0xcf2bd4ae, "");
SYMBOL_CRC(drm_property_destroy, 0xb40c9578, "");
SYMBOL_CRC(drm_property_create_blob, 0x7adb92b0, "");
SYMBOL_CRC(drm_property_blob_put, 0x2098a4af, "");
SYMBOL_CRC(drm_property_blob_get, 0x42f4e7c8, "");
SYMBOL_CRC(drm_property_lookup_blob, 0xcaac0ace, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0xf4d19e57, "");
SYMBOL_CRC(drm_property_replace_blob, 0x6a07af1a, "");
SYMBOL_CRC(drm_syncobj_find, 0x6b2d33f7, "");
SYMBOL_CRC(drm_syncobj_add_point, 0xf5211410, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x4f7392ad, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x7a7cd552, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xe785cd70, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x9513909a, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x6b78bc5b, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x0eb3e952, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x25fdffa5, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0xbafa38d0, "");
SYMBOL_CRC(drm_class_device_register, 0xd62d765b, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0x0ecc6b35, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x8c0ce8c5, "");
SYMBOL_CRC(drm_vblank_init, 0xcf835e76, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x79a8083f, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x50697807, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0xbdef2b7f, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x00e71c25, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x54c37f1e, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x4a7a4791, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0xe8f3a8ef, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x52a4b46d, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x8653a5cf, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x850de11b, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x4cbccadd, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0xf9663de0, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xbfaf583a, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xaf958207, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xb349b727, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0xc909ce05, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0xcaba4244, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xef16807f, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x48e84de4, "");
SYMBOL_CRC(drm_handle_vblank, 0x7aa1a1c4, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x235b6067, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x0a8677c3, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0xe392179a, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xbd3d05da, "");
SYMBOL_CRC(drm_vblank_work_init, 0x98a8a4cd, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x3c22a4d8, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x07fb449a, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xc7910e38, "");
SYMBOL_CRC(drm_vma_offset_add, 0xe8a0e334, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x4831da6e, "");
SYMBOL_CRC(drm_vma_node_allow, 0xc7d04fc5, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x820ac5c0, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x7b2e2166, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x24cf437a, "");
SYMBOL_CRC(drm_gpuva_manager_init, 0xadf17957, "_gpl");
SYMBOL_CRC(drm_gpuva_manager_destroy, 0xda2f94c9, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0xf4e177fe, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x1fcba69b, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x37565741, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x8fb1d712, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0xe65e32e0, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0xc5e3d1dd, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0xcaca9b41, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x63575509, "_gpl");
SYMBOL_CRC(drm_gpuva_interval_empty, 0x914c230c, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x9b36803e, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x0b21a17c, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x88f03ca7, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map, 0x14f49857, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap, 0x557f32c0, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map_ops_create, 0x5e902ebf, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap_ops_create, 0xe2aa272c, "_gpl");
SYMBOL_CRC(drm_gpuva_prefetch_ops_create, 0x3cf45ce0, "_gpl");
SYMBOL_CRC(drm_gpuva_gem_unmap_ops_create, 0x2f53873b, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x7c7fcd06, "_gpl");
SYMBOL_CRC(drm_writeback_connector_init, 0xd71c45f8, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x73f88bc3, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x63e1c820, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x7dffa09d, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xe8336793, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0xb93c800f, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x13d13d25, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0x081366cb, "");
SYMBOL_CRC(drm_panel_init, 0x0c12bbb0, "");
SYMBOL_CRC(drm_panel_add, 0xdc8b4887, "");
SYMBOL_CRC(drm_panel_remove, 0x70fa8467, "");
SYMBOL_CRC(drm_panel_prepare, 0x31df4ac5, "");
SYMBOL_CRC(drm_panel_unprepare, 0xd5d6e08d, "");
SYMBOL_CRC(drm_panel_enable, 0xcb34078a, "");
SYMBOL_CRC(drm_panel_disable, 0x9de180c9, "");
SYMBOL_CRC(drm_panel_get_modes, 0x50c20c7f, "");
SYMBOL_CRC(drm_is_panel_follower, 0x1bcf866e, "");
SYMBOL_CRC(drm_panel_add_follower, 0x2c798562, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x21f8b352, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xfd0fc641, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x5de324d5, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x836b01ba, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xac66b6a0, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x31599b87, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x2b2a046b, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xfe93a831, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x57972bcd, "_gpl");
SYMBOL_CRC(__drm_set_edid_firmware_path, 0x31b8a5e3, "");
SYMBOL_CRC(__drm_get_edid_firmware_path, 0x03c63897, "");
SYMBOL_CRC(drm_privacy_screen_lookup_add, 0x2f476172, "");
SYMBOL_CRC(drm_privacy_screen_lookup_remove, 0x0eb7f5eb, "");
SYMBOL_CRC(drm_privacy_screen_get, 0x499c9668, "");
SYMBOL_CRC(drm_privacy_screen_put, 0x2b1c8043, "");
SYMBOL_CRC(drm_privacy_screen_set_sw_state, 0x9be4720a, "");
SYMBOL_CRC(drm_privacy_screen_get_state, 0x84dd8d00, "");
SYMBOL_CRC(drm_privacy_screen_register_notifier, 0x7c240b28, "");
SYMBOL_CRC(drm_privacy_screen_unregister_notifier, 0x75bf505b, "");
SYMBOL_CRC(drm_privacy_screen_register, 0x3b280428, "");
SYMBOL_CRC(drm_privacy_screen_unregister, 0x4d44927f, "");
SYMBOL_CRC(drm_privacy_screen_call_notifier_chain, 0xea69cd50, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x63a0c136, "try_module_get" },
	{ 0xbb3d17e1, "anon_inode_getfile" },
	{ 0x3b5afdb2, "ww_mutex_lock_interruptible" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x511dcbaf, "alloc_anon_inode" },
	{ 0x31f85fc0, "show_class_attr_string" },
	{ 0x2b915d9c, "kthread_cancel_work_sync" },
	{ 0x1aa7a163, "is_acpi_device_node" },
	{ 0xcb054d6c, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2ee2a79e, "kthread_flush_work" },
	{ 0x63b4c25d, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xe9b96a22, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdb3a3e0d, "shmem_read_folio_gfp" },
	{ 0x5127c16e, "__folio_batch_release" },
	{ 0xa0adc89f, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x4fb4af28, "trace_raw_output_prep" },
	{ 0xf0a55194, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x35554f16, "dma_resv_wait_timeout" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x50df2317, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x6a57d08a, "__trace_trigger_soft_disabled" },
	{ 0xc0f3d738, "kthread_flush_worker" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9f9c97e7, "request_firmware" },
	{ 0x3c443bd0, "class_destroy" },
	{ 0x70ac555, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xabf89af3, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x594fdb61, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x3044e40c, "fd_install" },
	{ 0x689067dd, "dma_fence_chain_ops" },
	{ 0xaf8bd959, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe310b5e9, "component_del" },
	{ 0xd5bd8bac, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xd310d77e, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x278a0acb, "iput" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0xc939018a, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x68ba4e02, "dma_buf_unmap_attachment_unlocked" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x3164f46f, "synchronize_srcu" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x8b10184e, "get_device" },
	{ 0xb0c88a67, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x9fbc59f3, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x1b4675c0, "wake_up_process" },
	{ 0x11b64e57, "dev_driver_string" },
	{ 0x74b4f823, "dma_buf_map_attachment_unlocked" },
	{ 0xdb0f805d, "trace_event_buffer_commit" },
	{ 0x7126b362, "vga_switcheroo_unlock_ddc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb26d2080, "ww_mutex_trylock" },
	{ 0x540250b7, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xca6c29f0, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x668fb641, "dma_max_mapping_size" },
	{ 0x51253a51, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x78d8fa00, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x9a8f5ef, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0x591f9f73, "_dev_info" },
	{ 0xd855b6f6, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x7a885759, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7e70fc3f, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x98555a05, "dma_fence_chain_walk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd51fdc3b, "__task_pid_nr_ns" },
	{ 0xd052b7e2, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfa0de857, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x3da092b8, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaf56a341, "perf_trace_run_bpf_submit" },
	{ 0xfcd10cad, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xa579c0f9, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xc15114c2, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa49c4150, "pid_task" },
	{ 0x8b5b42d2, "vga_switcheroo_lock_ddc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf56359f8, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xd0c11bef, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xe98a2856, "folio_mark_accessed" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x16b1c782, "dma_resv_fini" },
	{ 0x592091cf, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x569abcab, "dma_buf_get" },
	{ 0x5d0e630, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe81fbc95, "aperture_remove_conflicting_pci_devices" },
	{ 0xbf7a0f0b, "ww_mutex_lock" },
	{ 0x537bc963, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe5910c5f, "dma_buf_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x676f8820, "dma_buf_fd" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd0635c84, "device_register" },
	{ 0x781a006c, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5d7a0434, "sg_alloc_table_from_pages_segment" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0x49b90b3, "unregister_acpi_bus_type" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x5fe0bc0, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8e880191, "devm_aperture_acquire_for_platform_device" },
	{ 0x295ba98e, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7748eb8b, "check_move_unevictable_folios" },
	{ 0xa0c474f1, "bpf_trace_run3" },
	{ 0xc34595f7, "seq_read" },
	{ 0xeb7f6046, "acpi_get_devices" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x87d5095f, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x4cba1bfe, "trace_event_buffer_reserve" },
	{ 0x60ae1c18, "dma_map_sgtable" },
	{ 0xed2765fc, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe436e90c, "__dma_fence_unwrap_merge" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdd94da02, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1941c1df, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x11390335, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xff9a0c89, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a7f5832, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x63f5e4fc, "__srcu_read_unlock" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x21675ef7, "i2c_transfer" },
	{ 0xba00daa2, "dma_fence_allocate_private_stub" },
	{ 0xba4350de, "dma_buf_detach" },
	{ 0x3daae96c, "dma_fence_signal_timestamp" },
	{ 0x4c36494f, "dma_fence_chain_init" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0xcffb65c9, "seq_puts" },
	{ 0xaee6495a, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x6d5c857a, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x71c10936, "sched_set_fifo" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe5252537, "simple_release_fs" },
	{ 0x83e78e3c, "dma_unmap_sg_attrs" },
	{ 0x6d608b17, "kill_anon_super" },
	{ 0xb54fbafb, "from_kuid_munged" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xdb3cfc1b, "__devm_add_action" },
	{ 0x81188c30, "match_string" },
	{ 0x6aa28d3a, "component_add" },
	{ 0x50b9a964, "dma_resv_test_signaled" },
	{ 0xf81628d0, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xbb5dd4a, "dma_fence_chain_find_seqno" },
	{ 0xeb550f27, "param_ops_int" },
	{ 0x3e11bf7, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcb7d91a, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x3ace4380, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x65f8fbe1, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x75ff1fe, "__dev_fwnode" },
	{ 0x2766af04, "pci_bus_type" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0x7e608e55, "class_remove_file_ns" },
	{ 0x1de666cc, "simple_pin_fs" },
	{ 0xce7191b5, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "backlight,i2c-core");


MODULE_INFO(srcversion, "CD8AB00200D0692D853B2F8");
