#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x7fb72c1c, "");
SYMBOL_CRC(drm_gem_vram_put, 0xb69a7d2e, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x3b9d32a3, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xf69d7362, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x175a212d, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xb3b7c50e, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xdadd3168, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x4346a6f4, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x2f071344, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x7cdec65a, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x01245af5, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x9e6d368b, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x02b494a6, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xe7ab6855, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x91931470, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xc1aac329, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x989cebd6, "ttm_range_man_init_nocheck" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3b5afdb2, "ww_mutex_lock_interruptible" },
	{ 0x3370c3c0, "ttm_resource_manager_debug" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xabf89af3, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x31639a77, "ttm_range_man_fini_nocheck" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5d2d908a, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcc958377, "ttm_bo_pin" },
	{ 0x11b64e57, "dev_driver_string" },
	{ 0xdb44aba5, "drm_gem_ttm_mmap" },
	{ 0xd9a52be5, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6c3fe7d8, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x30185598, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x46b3bdad, "ttm_tt_init" },
	{ 0xfe4982d7, "drm_gem_handle_create" },
	{ 0x77da2856, "drm_gem_fb_get_obj" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x183844ea, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0xfe93a831, "drm_debugfs_add_files" },
	{ 0x92769ef1, "ttm_bo_init_validate" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x443326c8, "ttm_device_init" },
	{ 0xa73640a6, "ttm_bo_validate" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf3e5e6a2, "ttm_bo_move_to_lru_tail" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xc2632040, "ttm_bo_vmap" },
	{ 0xa177238f, "ttm_bo_put" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xeae3cffe, "ttm_resource_free" },
	{ 0xb4d14efc, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x310863e1, "ttm_tt_fini" },
	{ 0xeafa62b3, "ttm_device_fini" },
	{ 0x9fcf9021, "drm_gem_plane_helper_prepare_fb" },
	{ 0x4967165f, "ttm_bo_eviction_valuable" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0xa98f31aa, "drm_gem_ttm_print_info" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "7AE0AE9C03F5998B04013AB");
