#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35918f7c, "drm_kms_helper_poll_fini" },
	{ 0x16caf51b, "drm_open" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe53aead0, "drm_fb_xrgb8888_to_rgb565" },
	{ 0x822aaf85, "drm_poll" },
	{ 0x335162c, "drm_gem_fb_end_cpu_access" },
	{ 0xc155ad7a, "drm_dev_enter" },
	{ 0x89ef64fa, "backlight_device_unregister" },
	{ 0xe10087c7, "devm_kmalloc" },
	{ 0x984dcb04, "drm_kms_helper_poll_init" },
	{ 0xc992e70, "drm_plane_enable_fb_damage_clips" },
	{ 0xb2317807, "vmalloc_to_page" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xac06aee5, "drm_mode_probed_add" },
	{ 0x1145e463, "drm_gem_shmem_dumb_create" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x556fb826, "drm_atomic_helper_shutdown" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x636ade0d, "usb_register_driver" },
	{ 0x4909993c, "usb_sg_init" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd6bac5ef, "drm_gem_simple_kms_begin_shadow_fb_access" },
	{ 0xc07f5630, "drm_mode_object_get" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x79e64112, "drm_connector_list_iter_begin" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x4f4d78c5, "LZ4_compress_default" },
	{ 0x5d8e0868, "drm_modeset_acquire_init" },
	{ 0xd7abe1f1, "drm_fb_xrgb8888_to_rgb332" },
	{ 0x34594a3f, "drmm_mode_config_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc0059d39, "drm_mode_object_put" },
	{ 0xa0b04675, "vmalloc_32" },
	{ 0xbbbfba57, "drm_connector_attach_encoder" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0x6236b1d7, "usb_sg_cancel" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9bbc2367, "drm_atomic_helper_commit" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x51253a51, "put_device" },
	{ 0x143871a2, "drm_atomic_helper_check" },
	{ 0x295062fd, "drm_atomic_helper_connector_destroy_state" },
	{ 0x20d2d7f9, "drm_connector_list_iter_end" },
	{ 0xfcfc7027, "drm_gem_mmap" },
	{ 0x72ef0f33, "drm_mode_create" },
	{ 0x3b8c8a68, "drm_ioctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xc78cd59c, "drm_gem_simple_kms_destroy_shadow_plane_state" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xc714fb0c, "drm_dev_unplug" },
	{ 0xb546b0ed, "drm_connector_init" },
	{ 0x4562bd72, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xfd876bb9, "drm_mode_config_helper_suspend" },
	{ 0x48a91171, "string_get_size" },
	{ 0x2b2a046b, "drm_debugfs_add_file" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa3f84e3f, "usb_intf_get_dma_device" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x994c51b4, "drm_add_edid_modes" },
	{ 0x15e8f851, "drm_atomic_helper_damage_merged" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xd0c11bef, "noop_llseek" },
	{ 0x134890bd, "drm_read" },
	{ 0xa7ae286f, "drm_gem_fb_create_with_dirty" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xce587578, "usb_control_msg" },
	{ 0xd7482f05, "vcalloc" },
	{ 0x95477517, "drm_mode_create_tv_properties_legacy" },
	{ 0x19413d87, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x632871bd, "usb_deregister" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x303e5513, "__drm_dev_dbg" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xa5db8c23, "drm_atomic_commit" },
	{ 0xe6b25313, "drm_atomic_helper_connector_tv_margins_reset" },
	{ 0x5d7a0434, "sg_alloc_table_from_pages_segment" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xbd700c2f, "__devm_drm_dev_alloc" },
	{ 0x45e40076, "drm_atomic_state_alloc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xeeda3edf, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0xd9029ac6, "drmm_kmalloc" },
	{ 0x21099905, "drm_fb_xrgb8888_to_rgb888" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdbce7ea0, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x83def40d, "drm_fbdev_generic_setup" },
	{ 0xe7cf7840, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x2d134ff5, "drm_simple_display_pipe_init" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb86b5b1a, "drm_do_get_edid" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x51c9f770, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x167c2bfd, "drm_fb_memcpy" },
	{ 0x98df664a, "drm_connector_list_iter_next" },
	{ 0xf6694f7b, "drm_modeset_acquire_fini" },
	{ 0xd173708c, "drm_simple_encoder_init" },
	{ 0x5cd59ae9, "drm_gem_simple_kms_duplicate_shadow_plane_state" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x89b09d6, "drm_gem_fb_begin_cpu_access" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xcf5e35cd, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x2a7f5832, "seq_printf" },
	{ 0x8523205c, "drm_helper_probe_single_connector_modes" },
	{ 0xb1586208, "drm_plane_create_rotation_property" },
	{ 0x8168deb9, "drm_modeset_backoff" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x35296b6, "drm_gem_prime_import_dev" },
	{ 0x11a7ea3b, "backlight_device_register" },
	{ 0xbff748b9, "drm_mode_create_tv_margin_properties" },
	{ 0xdd1a5f15, "drm_fb_xrgb8888_to_gray8" },
	{ 0x8ed911c, "drm_gem_simple_kms_reset_shadow_plane" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xcffb65c9, "seq_puts" },
	{ 0x54823816, "drm_atomic_state_clear" },
	{ 0x55fb5961, "drm_atomic_helper_connector_reset" },
	{ 0x51ced0dc, "drm_mode_config_reset" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xf3ec9903, "drm_modeset_drop_locks" },
	{ 0xdb3cfc1b, "__devm_add_action" },
	{ 0xd5528db, "usb_sg_wait" },
	{ 0x42a124de, "drm_mode_config_helper_resume" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x1a0ac189, "drm_gem_simple_kms_end_shadow_fb_access" },
	{ 0x81366cb, "drm_compat_ioctl" },
	{ 0xfafb24a1, "drm_dev_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0xc15f5dc2, "drm_atomic_get_connector_state" },
	{ 0xf5d1620e, "drm_release" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,backlight,drm_shmem_helper");

MODULE_ALIAS("usb:v1D50p614Dd*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v16D0p10A9d*dc*dsc*dp*icFFisc*ip*in*");

MODULE_INFO(srcversion, "2CA5D7C30CBE3E05C9811DC");
