#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i2c_freq_mode_string, "_gpl", "");
KSYMTAB_FUNC(i2c_match_id, "_gpl", "");
KSYMTAB_FUNC(i2c_get_match_data, "", "");
KSYMTAB_FUNC(i2c_generic_scl_recovery, "_gpl", "");
KSYMTAB_FUNC(i2c_recover_bus, "_gpl", "");
KSYMTAB_DATA(i2c_bus_type, "_gpl", "");
KSYMTAB_DATA(i2c_client_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_client, "", "");
KSYMTAB_FUNC(i2c_new_client_device, "_gpl", "");
KSYMTAB_FUNC(i2c_unregister_device, "_gpl", "");
KSYMTAB_FUNC(i2c_find_device_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(devm_i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(i2c_new_ancillary_device, "_gpl", "");
KSYMTAB_FUNC(i2c_adapter_depth, "_gpl", "");
KSYMTAB_DATA(i2c_adapter_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_adapter, "", "");
KSYMTAB_FUNC(i2c_handle_smbus_host_notify, "_gpl", "");
KSYMTAB_FUNC(i2c_add_adapter, "", "");
KSYMTAB_FUNC(i2c_add_numbered_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_del_adapter, "", "");
KSYMTAB_FUNC(devm_i2c_add_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_find_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_get_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_parse_fw_timings, "_gpl", "");
KSYMTAB_FUNC(i2c_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(i2c_register_driver, "", "");
KSYMTAB_FUNC(i2c_del_driver, "", "");
KSYMTAB_FUNC(i2c_clients_command, "", "");
KSYMTAB_FUNC(__i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer_buffer_flags, "", "");
KSYMTAB_FUNC(i2c_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_client_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_probe_func_quick_read, "_gpl", "");
KSYMTAB_FUNC(i2c_new_scanned_device, "_gpl", "");
KSYMTAB_FUNC(i2c_get_adapter, "", "");
KSYMTAB_FUNC(i2c_put_adapter, "", "");
KSYMTAB_FUNC(i2c_get_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_put_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_smbus_pec, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(__i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data_or_emulated, "", "");
KSYMTAB_FUNC(i2c_new_smbus_alert_device, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_get_i2c_resource, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_client_count, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_find_bus_speed, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_find_adapter_by_handle, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_new_device_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_waive_d0_probe, "_gpl", "");

SYMBOL_CRC(i2c_freq_mode_string, 0x550f3e05, "_gpl");
SYMBOL_CRC(i2c_match_id, 0xf6c4ed94, "_gpl");
SYMBOL_CRC(i2c_get_match_data, 0x904155a7, "");
SYMBOL_CRC(i2c_generic_scl_recovery, 0x60374a27, "_gpl");
SYMBOL_CRC(i2c_recover_bus, 0x2f133608, "_gpl");
SYMBOL_CRC(i2c_bus_type, 0x6e30e53b, "_gpl");
SYMBOL_CRC(i2c_client_type, 0x1cb9c6e7, "_gpl");
SYMBOL_CRC(i2c_verify_client, 0xb66ad75e, "");
SYMBOL_CRC(i2c_new_client_device, 0x4c483b98, "_gpl");
SYMBOL_CRC(i2c_unregister_device, 0xec7efbfb, "_gpl");
SYMBOL_CRC(i2c_find_device_by_fwnode, 0xf6a08903, "");
SYMBOL_CRC(i2c_new_dummy_device, 0x422134a8, "_gpl");
SYMBOL_CRC(devm_i2c_new_dummy_device, 0x04f4f1e6, "_gpl");
SYMBOL_CRC(i2c_new_ancillary_device, 0x715d08ac, "_gpl");
SYMBOL_CRC(i2c_adapter_depth, 0xdd4c39e3, "_gpl");
SYMBOL_CRC(i2c_adapter_type, 0x928f6c17, "_gpl");
SYMBOL_CRC(i2c_verify_adapter, 0xc279fafe, "");
SYMBOL_CRC(i2c_handle_smbus_host_notify, 0xfac4caf5, "_gpl");
SYMBOL_CRC(i2c_add_adapter, 0xe02132bc, "");
SYMBOL_CRC(i2c_add_numbered_adapter, 0x859a4467, "_gpl");
SYMBOL_CRC(i2c_del_adapter, 0x5e4495d1, "");
SYMBOL_CRC(devm_i2c_add_adapter, 0xf068af01, "_gpl");
SYMBOL_CRC(i2c_find_adapter_by_fwnode, 0x60a92962, "");
SYMBOL_CRC(i2c_get_adapter_by_fwnode, 0x2bae6535, "");
SYMBOL_CRC(i2c_parse_fw_timings, 0xa045d316, "_gpl");
SYMBOL_CRC(i2c_for_each_dev, 0xdc806449, "_gpl");
SYMBOL_CRC(i2c_register_driver, 0x6e648da6, "");
SYMBOL_CRC(i2c_del_driver, 0xeb2873aa, "");
SYMBOL_CRC(i2c_clients_command, 0xa62df664, "");
SYMBOL_CRC(__i2c_transfer, 0xf96aab66, "");
SYMBOL_CRC(i2c_transfer, 0x21675ef7, "");
SYMBOL_CRC(i2c_transfer_buffer_flags, 0x4b515926, "");
SYMBOL_CRC(i2c_get_device_id, 0xc1d79631, "_gpl");
SYMBOL_CRC(i2c_client_get_device_id, 0xc8378fa4, "_gpl");
SYMBOL_CRC(i2c_probe_func_quick_read, 0x387a173e, "_gpl");
SYMBOL_CRC(i2c_new_scanned_device, 0xc131c61f, "_gpl");
SYMBOL_CRC(i2c_get_adapter, 0x8a5c6402, "");
SYMBOL_CRC(i2c_put_adapter, 0x622a4e6a, "");
SYMBOL_CRC(i2c_get_dma_safe_msg_buf, 0x42041512, "_gpl");
SYMBOL_CRC(i2c_put_dma_safe_msg_buf, 0x4dae16e4, "_gpl");
SYMBOL_CRC(i2c_smbus_pec, 0xfa2e5f32, "");
SYMBOL_CRC(i2c_smbus_read_byte, 0x12953ad9, "");
SYMBOL_CRC(i2c_smbus_write_byte, 0x510317b6, "");
SYMBOL_CRC(i2c_smbus_read_byte_data, 0xe8ca682c, "");
SYMBOL_CRC(i2c_smbus_write_byte_data, 0x9cbf9ab2, "");
SYMBOL_CRC(i2c_smbus_read_word_data, 0xe11c2c74, "");
SYMBOL_CRC(i2c_smbus_write_word_data, 0x2baee152, "");
SYMBOL_CRC(i2c_smbus_read_block_data, 0x5824f526, "");
SYMBOL_CRC(i2c_smbus_write_block_data, 0x162f9ade, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data, 0xaccdf67a, "");
SYMBOL_CRC(i2c_smbus_write_i2c_block_data, 0xe4deef13, "");
SYMBOL_CRC(i2c_smbus_xfer, 0xd5847f56, "");
SYMBOL_CRC(__i2c_smbus_xfer, 0x66c4d085, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data_or_emulated, 0x1bd77582, "");
SYMBOL_CRC(i2c_new_smbus_alert_device, 0xf134c20b, "_gpl");
SYMBOL_CRC(i2c_acpi_get_i2c_resource, 0x7f8839d6, "_gpl");
SYMBOL_CRC(i2c_acpi_client_count, 0x10ecc54e, "_gpl");
SYMBOL_CRC(i2c_acpi_find_bus_speed, 0x5acea024, "_gpl");
SYMBOL_CRC(i2c_acpi_find_adapter_by_handle, 0xd3de00b3, "_gpl");
SYMBOL_CRC(i2c_acpi_new_device_by_fwnode, 0xf35315e1, "_gpl");
SYMBOL_CRC(i2c_acpi_waive_d0_probe, 0x9c734a8b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa36731dd, "gpiod_get_value_cansleep" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x63a0c136, "try_module_get" },
	{ 0x1aa7a163, "is_acpi_device_node" },
	{ 0xc2863b6c, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x47d075de, "gpiod_get_direction" },
	{ 0xd2bbb4ee, "device_property_match_string" },
	{ 0xbecd3ee3, "devres_release_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0xa0adc89f, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x4fb4af28, "trace_raw_output_prep" },
	{ 0x8a09ec97, "bpf_trace_run6" },
	{ 0x80ede6e5, "acpi_driver_match_device" },
	{ 0x50df2317, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6a57d08a, "__trace_trigger_soft_disabled" },
	{ 0x691bbbfa, "irq_domain_remove" },
	{ 0x169d74b5, "gpiod_set_value_cansleep" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x70ac555, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe5328135, "acpi_set_modalias" },
	{ 0x1137063d, "dummy_irq_chip" },
	{ 0xaf8bd959, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0x8dc4a14d, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xd5d06d61, "device_for_each_child" },
	{ 0x4f9ba758, "bus_for_each_drv" },
	{ 0x343bdf1, "__i2c_board_list" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x3164f46f, "synchronize_srcu" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x8b10184e, "get_device" },
	{ 0x978a0afe, "bpf_trace_run8" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0x4d440931, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x11b64e57, "dev_driver_string" },
	{ 0xdb0f805d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6deff7e, "device_match_fwnode" },
	{ 0x82ba02b, "acpi_dev_get_resources" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x589946bc, "irq_set_chip_and_handler_name" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x51253a51, "put_device" },
	{ 0xe011c906, "acpi_dev_ready_for_enumeration" },
	{ 0xac4a4d7e, "pm_runtime_enable" },
	{ 0x29d393b2, "device_property_read_u32_array" },
	{ 0x41da9dee, "handle_simple_irq" },
	{ 0x1db27371, "bus_for_each_dev" },
	{ 0x591f9f73, "_dev_info" },
	{ 0xceff1be7, "dev_pm_domain_detach" },
	{ 0x7a885759, "module_put" },
	{ 0x9dd57665, "device_wakeup_disable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaf56a341, "perf_trace_run_bpf_submit" },
	{ 0x70447ffc, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0x6b1f36b8, "device_wakeup_enable" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xff20e158, "bus_find_device" },
	{ 0xe35183be, "acpi_dev_resource_interrupt" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc13c6b28, "dev_pm_set_wake_irq" },
	{ 0x1f8b513b, "irq_get_irq_data" },
	{ 0x1dd39cad, "rt_mutex_unlock" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xd13016a4, "rt_mutex_trylock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x537bc963, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x9f6826bd, "driver_unregister" },
	{ 0xe07e5f44, "acpi_reconfig_notifier_unregister" },
	{ 0x5d5e9169, "devres_open_group" },
	{ 0x50e7193a, "__i2c_first_dynamic_bus_num" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd0635c84, "device_register" },
	{ 0xc471dd7d, "__irq_resolve_mapping" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x564f7608, "acpi_reconfig_notifier_register" },
	{ 0x900ad76a, "tracepoint_srcu" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0xa6824507, "device_get_match_data" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5476ff07, "acpi_dev_clear_dependencies" },
	{ 0x464a6e24, "acpi_bus_get_status" },
	{ 0xf2c740ab, "__irq_domain_add" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6dfedbd5, "device_remove_software_node" },
	{ 0xa93439d5, "acpi_match_device_ids" },
	{ 0x4adf40cd, "pm_runtime_no_callbacks" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x47a76e7e, "pinctrl_lookup_state" },
	{ 0xa0c474f1, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4cba1bfe, "trace_event_buffer_reserve" },
	{ 0xde56bc2f, "__pm_runtime_resume" },
	{ 0xcba411c, "dev_pm_clear_wake_irq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa4c6661d, "acpi_fetch_acpi_dev" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3ca38be3, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x60334519, "irq_create_mapping_affinity" },
	{ 0xcd95a58, "acpi_unbind_one" },
	{ 0xc8176df2, "__rt_mutex_init" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x696340a5, "__i2c_board_lock" },
	{ 0x21e2a9f3, "acpi_dev_gpio_irq_wake_get_by" },
	{ 0xd1d44877, "pinctrl_select_state" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa597401c, "device_add_software_node" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xdb3cfc1b, "__devm_add_action" },
	{ 0xeafad7f, "acpi_device_modalias" },
	{ 0x247ef96a, "bpf_trace_run7" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x78a98dd8, "__pm_runtime_disable" },
	{ 0x2da0e620, "rt_mutex_lock" },
	{ 0xc06fbb0d, "device_match_acpi_handle" },
	{ 0x78475e7e, "gpiod_direction_output" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{  0xfe806, "driver_register" },
	{ 0x809e04fa, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x75ff1fe, "__dev_fwnode" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x7d8ee36d, "bus_register" },
	{ 0x13ab6ff4, "acpi_device_uevent_modalias" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A87CE2AD2EB96000F31C87");
