#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0x83c8cdf8, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x3093c2f2, "");
SYMBOL_CRC(ib_cm_listen, 0x75d75122, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x54286d57, "");
SYMBOL_CRC(ib_send_cm_req, 0xe0527f92, "");
SYMBOL_CRC(ib_send_cm_rep, 0x2702343a, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xdfa08722, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x6454f5d6, "");
SYMBOL_CRC(ib_send_cm_drep, 0xf5486c3c, "");
SYMBOL_CRC(ib_send_cm_rej, 0x0be6e59f, "");
SYMBOL_CRC(ib_send_cm_mra, 0xb55c1306, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xdfdedd30, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0x15e6ad27, "");
SYMBOL_CRC(ib_cm_notify, 0xd529a0b5, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xe08577eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8cb62500, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5769fe28, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x4fb4af28, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6a57d08a, "__trace_trigger_soft_disabled" },
	{ 0x70ac555, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xaf8bd959, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6398512b, "rdma_query_gid" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc278b674, "ib_port_register_client_groups" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c0ad2bd, "ib_modify_port" },
	{ 0x79b1b75b, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdb0f805d, "trace_event_buffer_commit" },
	{ 0x1966804f, "rdma_create_ah" },
	{ 0xc525ecbd, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xe49a8586, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x5d70fa2, "ib_register_client" },
	{ 0x68b391f, "ib_unregister_mad_agent" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x84fade27, "ib_post_send_mad" },
	{ 0xfb9eb5da, "ib_create_send_mad" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaf56a341, "perf_trace_run_bpf_submit" },
	{ 0x10b010ec, "rdma_destroy_ah_attr" },
	{ 0x67772ccf, "ib_set_client_data" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x902fb1c4, "ib_get_cached_pkey" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x8aff53e3, "rdma_put_gid_attr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x537bc963, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x533c7c1b, "bpf_trace_run1" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xccb7f5be, "rdma_destroy_ah_user" },
	{ 0x5d152a19, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x51beed5a, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0xa0c474f1, "bpf_trace_run3" },
	{ 0x8ddbf165, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4cba1bfe, "trace_event_buffer_reserve" },
	{ 0x7daf99b9, "rdma_find_gid" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x3bf0f88c, "ib_free_recv_mad" },
	{ 0xc8dd1dad, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x9b0f66e1, "ib_modify_mad" },
	{ 0xdc58e5d4, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "B8FE8BFF2DDE8C273D9C383");
