#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0xb77d711f, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0xd126d66f, "_gpl");
SYMBOL_CRC(media_device_init, 0xc753beb4, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x989c6fa2, "_gpl");
SYMBOL_CRC(__media_device_register, 0xd394cbb3, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x62eef964, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x4fc7604d, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x2580fe21, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x8e869294, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x52389b7d, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x7752e8d0, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xef310852, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0xfc155034, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xb605c7b0, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0xe58b5088, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x7d6f8437, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x0d1eda01, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xfd61db99, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x29f6f78a, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xa541acc9, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x799ed758, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x31ef6363, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0xf35eb06d, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x972111fa, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x01cdc201, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x424ea2f4, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x5a2900fa, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x5936d9d4, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x3ac5ac0b, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x17c2c0e8, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x6f155720, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x80cc2198, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xb6bb16bc, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x7d3a07cc, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0xb27f0065, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x8733b1c6, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x4afa4cb6, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x377ec13c, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x1457dd45, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x2fc11a72, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xd4ba989f, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xf41aa794, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x52d86662, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0xcbdc71e9, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xddd34dd9, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x855f045b, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x93aad048, "_gpl");
SYMBOL_CRC(media_request_put, 0x6308c48f, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0xb93d56be, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x0a52d657, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x8b165ad5, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x414a873e, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x02763db9, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x7f005313, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x2c118382, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x7659a328, "_gpl");
SYMBOL_CRC(media_device_delete, 0x08fa5f93, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x63a0c136, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xbb3d17e1, "anon_inode_getfile" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa0adc89f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x72fc2796, "cdev_device_del" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x594fdb61, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3044e40c, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x8b10184e, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4d440931, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd7fbebfc, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x51253a51, "put_device" },
	{ 0xbb36056b, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7a885759, "module_put" },
	{ 0xe2eb50ed, "device_create_file" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x70447ffc, "bus_unregister" },
	{ 0xfcd10cad, "fput" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xff9a0c89, "platform_bus_type" },
	{ 0xa2cc2a5c, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3f4d0a79, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2766af04, "pci_bus_type" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0x2bc60c06, "device_remove_file" },
	{ 0x7d8ee36d, "bus_register" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CF86D0ACBEF32F787BD9709");
