#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x6fe1f8fe, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x16552fe7, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xa315a957, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0xcaa22a61, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x4ecaebe5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ca988d8, "__tracepoint_xdp_exception" },
	{ 0x4180a4cd, "xsk_tx_completed" },
	{ 0xf617fe70, "alloc_etherdev_mqs" },
	{ 0xa9fad1fd, "netdev_lower_get_next" },
	{ 0xe8a9fc98, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb9693a95, "pci_save_state" },
	{ 0x2ef9d327, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x697bcffa, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xd1b25f27, "device_set_wakeup_enable" },
	{ 0x683f87ea, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9bf76498, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9f5f509f, "pci_find_ext_capability" },
	{ 0xcb054d6c, "kthread_create_worker" },
	{ 0x57eaa28c, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xff56f813, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x34a54691, "devlink_unregister" },
	{ 0xab1c86c, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x59299362, "devm_request_threaded_irq" },
	{ 0x7030be6, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe10087c7, "devm_kmalloc" },
	{ 0x40119a4d, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa225b57e, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe310f8c7, "call_switchdev_notifiers" },
	{ 0xcb59d435, "__napi_alloc_skb" },
	{ 0x293c685a, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5330ffa2, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5976e57, "auxiliary_device_init" },
	{ 0x8023eba3, "pci_enable_device_mem" },
	{ 0xc6b0e0c3, "consume_skb" },
	{ 0xe4b45794, "kthread_delayed_work_timer_fn" },
	{ 0x7d6ce38e, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd7d52bb9, "pci_alloc_irq_vectors" },
	{ 0x7feffad, "flow_rule_match_l2tpv3" },
	{ 0x1749f69f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfaa93131, "xsk_tx_peek_release_desc_batch" },
	{ 0xf45b3372, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x703cf99f, "dmam_alloc_attrs" },
	{ 0x4fb4af28, "trace_raw_output_prep" },
	{ 0x49103ed9, "devl_lock" },
	{ 0x75580b23, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xbaffc5fc, "ndo_dflt_bridge_getlink" },
	{ 0x9fdf1982, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x32f68b3a, "xdp_features_set_redirect_target" },
	{ 0x6a57d08a, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4faad20, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xc913bb18, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9f9c97e7, "request_firmware" },
	{ 0x70ac555, "trace_event_printf" },
	{ 0x68d471a3, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x9d42e6ee, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x1284e3e, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xc57380fd, "devlink_params_unregister" },
	{ 0x763225d5, "dma_sync_single_for_device" },
	{ 0xd373f0a, "pci_num_vf" },
	{ 0x7ac9c1d3, "flow_rule_match_eth_addrs" },
	{ 0x900b9322, "skb_add_rx_frag" },
	{ 0x84521fdf, "get_device_system_crosststamp" },
	{ 0xc3b8d93d, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7052beb3, "ptp_clock_index" },
	{ 0xaf8bd959, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x59d4198b, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x75516700, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfc23e050, "devl_rate_leaf_destroy" },
	{ 0xced147d6, "devlink_register" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0xb1c1119d, "xdp_do_redirect" },
	{ 0xf1db2148, "devlink_free" },
	{ 0x91c87ecf, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x79b1b75b, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xda707285, "devl_rate_node_create" },
	{ 0x59ceb9c9, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xd360dbf9, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xb8d66f81, "pci_set_power_state" },
	{ 0xabd0c21, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x63185e04, "pci_irq_vector" },
	{ 0xcc156f32, "flow_rule_match_ipv4_addrs" },
	{ 0x26eaacc0, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4d440931, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x512d774f, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x48a1db62, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdc7d288, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1aba95d2, "pskb_expand_head" },
	{ 0x5b4dba1c, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x22bd67c, "devlink_flash_update_status_notify" },
	{ 0x11b64e57, "dev_driver_string" },
	{ 0xe6ae68e8, "pci_restore_msi_state" },
	{ 0xdb0f805d, "trace_event_buffer_commit" },
	{ 0x7fe3c641, "xdp_return_buff" },
	{ 0xc37e7127, "dev_addr_mod" },
	{ 0xc0cdb9e, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xa0e56a4e, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x31153673, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd67badf5, "dma_map_page_attrs" },
	{ 0xd141abc8, "napi_complete_done" },
	{ 0xf185e4be, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9bce4326, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x3176f683, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x51253a51, "put_device" },
	{ 0xb50610a6, "devm_free_irq" },
	{ 0xb1ca1490, "net_dim" },
	{ 0x42c7028, "__napi_schedule" },
	{ 0x209a3632, "ipv6_skip_exthdr" },
	{ 0xea8a89bd, "xsk_set_rx_need_wakeup" },
	{ 0x7e5ff69f, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xed427035, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xad5c4cc8, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa2d74242, "__hw_addr_unsync_dev" },
	{ 0x591f9f73, "_dev_info" },
	{ 0x39b4ed97, "napi_gro_receive" },
	{ 0x4d551b9c, "netif_device_attach" },
	{ 0x625837e, "xdp_features_clear_redirect_target" },
	{ 0x25f709af, "netdev_pick_tx" },
	{ 0xa8df06bf, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7c1a1fcf, "xp_raw_get_dma" },
	{ 0xda2d646d, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x8dcf0cf9, "xdp_rxq_info_is_reg" },
	{ 0xa4455d9e, "flow_rule_match_enc_opts" },
	{ 0xf92bd62e, "flow_block_cb_setup_simple" },
	{ 0xbec7e779, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xebfebba3, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x130a254f, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x17b30158, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xabfe667b, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xc7462498, "vlan_dev_real_dev" },
	{ 0xcc4a0985, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4bf73961, "devm_kmemdup" },
	{ 0x95e17153, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaf56a341, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x65beb679, "devlink_port_unregister" },
	{ 0x459ae34a, "devlink_flash_update_timeout_notify" },
	{ 0x4562bd72, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xc4f7b0c9, "init_net" },
	{ 0x24c3b4df, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x185b2eef, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xbfb57683, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xaac84130, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x587ed125, "netif_set_real_num_tx_queues" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x3ea2cef, "__auxiliary_device_add" },
	{ 0xa5ea92e3, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xa92a7a2, "netif_set_real_num_rx_queues" },
	{ 0xaeb4fc46, "flow_indr_block_cb_alloc" },
	{ 0x87330187, "pci_wait_for_pending_transaction" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x16664385, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xccdb843c, "pci_device_is_present" },
	{ 0x130ccabc, "pci_read_config_word" },
	{ 0xbe1522a4, "pcie_flr" },
	{ 0x38fb5bd1, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xf98b6a3e, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x4d7251bf, "dcbnl_ieee_notify" },
	{ 0xa42f39c0, "xsk_uses_need_wakeup" },
	{ 0x51de2dd3, "register_netdev" },
	{ 0x8ac8752b, "dev_mc_del" },
	{ 0x537bc963, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xac62c8c4, "free_netdev" },
	{ 0x1571813, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d5a99db, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xc37c1b30, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x1361767e, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xe091ad2c, "netif_tx_stop_all_queues" },
	{ 0x347c0082, "pci_restore_state" },
	{ 0x533c7c1b, "bpf_trace_run1" },
	{ 0xd087b535, "netif_tx_wake_queue" },
	{ 0x781a006c, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xbd597c03, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xcfb4607, "dcb_getapp" },
	{ 0x4fac2743, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0xff6172ea, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xace0e605, "ptp_clock_event" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x499d4554, "netif_schedule_queue" },
	{ 0x399b645, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x262d6bcb, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe44f28ca, "flow_rule_match_ipv6_addrs" },
	{ 0x57547189, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3b681fbb, "ptp_clock_unregister" },
	{ 0xf1a6d7c9, "__pskb_pull_tail" },
	{ 0x376081e0, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x3e7c7640, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x82da69dd, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfee0631b, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd25ed9f, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xcb064cfa, "flow_rule_match_pppoe" },
	{ 0xbce85d75, "flow_rule_match_enc_control" },
	{ 0xa0c474f1, "bpf_trace_run3" },
	{ 0x31987651, "__page_frag_cache_drain" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbc32bbe3, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xaadbee8c, "rps_may_expire_flow" },
	{ 0x3e423aa4, "metadata_dst_free" },
	{ 0x23592da8, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xac16be40, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x1ef6e2db, "devlink_params_register" },
	{ 0x4cba1bfe, "trace_event_buffer_reserve" },
	{ 0xed2765fc, "kthread_destroy_worker" },
	{ 0xd8c9c3f5, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x59924e3b, "flow_rule_match_enc_ports" },
	{ 0x3c00dc68, "xdp_return_frame_bulk" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x6286dedb, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x63247431, "pcie_print_link_status" },
	{ 0x91843cec, "xp_set_rxq_info" },
	{ 0x60047212, "flow_rule_match_vlan" },
	{ 0x15af5c0f, "xdp_rxq_info_unreg" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xce514f94, "napi_build_skb" },
	{ 0xd610698d, "netdev_master_upper_dev_get_rcu" },
	{ 0x68f7f641, "__xdp_rxq_info_reg" },
	{ 0xf4893ddd, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x93d882b1, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x22874e12, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf84e6d6c, "__hw_addr_sync_dev" },
	{ 0xea1470c9, "devlink_port_register_with_ops" },
	{ 0x4a368d8a, "pci_disable_sriov" },
	{ 0x2792c005, "pldmfw_flash_image" },
	{ 0x6db98866, "kthread_queue_delayed_work" },
	{ 0xa4101fd7, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9a9aa462, "dst_release" },
	{ 0xce5d25f7, "netif_carrier_on" },
	{ 0x51212a91, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x82b2add, "dev_uc_add_excl" },
	{ 0x11a5a466, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x655fe0b1, "xp_free" },
	{ 0x7fab8da3, "dev_mc_add_excl" },
	{ 0x7e3e225c, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc46250d2, "netif_set_tso_max_size" },
	{ 0x169e9bbe, "__skb_flow_dissect" },
	{ 0x8792dbe3, "vlan_dev_vlan_id" },
	{ 0xd67a6ead, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x21550967, "pcim_iomap_table" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0x22a862f3, "xdp_master_redirect" },
	{ 0xdb3cfc1b, "__devm_add_action" },
	{ 0x47494092, "napi_schedule_prep" },
	{ 0x2d4a529f, "napi_consume_skb" },
	{ 0xd91d7fbb, "pci_read_config_byte" },
	{ 0x868d0eb9, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x184a64ef, "napi_disable" },
	{ 0xbc666a63, "dev_kfree_skb_any_reason" },
	{ 0xea8e9932, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xeb550f27, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa13a4889, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe34a727, "pci_free_irq_vectors" },
	{ 0x5fe96c50, "flow_rule_match_control" },
	{ 0x95ac3254, "flow_rule_match_ip" },
	{ 0x1042a1e5, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf52f7f62, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x84d3655c, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x94e47cd1, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0x66e4d8d3, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7fc1cd75, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "ptp");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "852E437D84FB85BA404DEFB");
