#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x2a36670f, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x00922b26, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x6e6d6c0f, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x5d40890d, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x2db69775, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x24d1b2b5, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x1b51d049, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xc4109011, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x36be6b1f, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x6f31cd79, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xdf873e57, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x6a136c37, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x882b5da2, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xa9fbc55d, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xd4c92d5c, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xbf3f03f3, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x03e7b52c, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x9750d80e, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x21a9b623, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x304a60c6, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x41ce9558, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x2c910da1, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xeb8a6b2a, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x9116eade, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x7b829c00, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x2f9c3052, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x00c5f202, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x5e08c134, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xcae9bc56, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xa89ed4de, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xbad83f17, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x35d859d3, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x389a1753, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x7d6a5488, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x85df9957, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xed241bb3, "");
SYMBOL_CRC(mlx4_test_async, 0x71306757, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xdb78e99c, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x830acae9, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x67cd0198, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x9b2659e4, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x9e077a2e, "");
SYMBOL_CRC(mlx4_assign_eq, 0x94326eba, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x8549cecd, "");
SYMBOL_CRC(mlx4_release_eq, 0x8de2d04c, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x862f6909, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xb2f2c63e, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x69c9c3e8, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xb75ac673, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0xd5843aae, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x1f358572, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0xa42dacce, "");
SYMBOL_CRC(mlx4_wol_read, 0x86ea47f5, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x36beab69, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x02000a79, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xfb5fbbb6, "");
SYMBOL_CRC(set_phv_bit, 0xc244d9a8, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x5fcc8d25, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x7533c406, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x32fe5bac, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xf41f98be, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xdf955899, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0xfb3bca68, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xdc5cc259, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x812bc82d, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x0ef73a16, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xf4a10634, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x8bce35cd, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x0565b3d0, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xfad884e5, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xc591a4bf, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x1840d569, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xa4d9379d, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xd1052391, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x26a119c5, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x7278d7fd, "");
SYMBOL_CRC(mlx4_read_clock, 0xc91615a0, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x1431ada8, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x8f6be6df, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x20fabf00, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xa9ce6978, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xe79d7e08, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xe9e2eb50, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x8cc2bb44, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0xd4235373, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x101b38fe, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0xb9e96bde, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x182a68c9, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x91d0d987, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x41e5e08d, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0xa6bffd17, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x9e1d2751, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x26c463cf, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x7a08cf76, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x103ff80f, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x1d1b894b, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xc3cf7afa, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xb3a44158, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xec5e3f70, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x5500c7b3, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x881068bb, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x046131b1, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x4d32a00d, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x089330c8, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x6d4cdcb6, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xe880dceb, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x0326017e, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xe4f4f575, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xe9044d82, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xd1499552, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x7495ceb1, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x4d51c8f0, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x7216b20c, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0xd8b2749d, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x6995b430, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xa28e2d45, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x3e97a201, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x255ec252, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xd192674e, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x1e382332, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xa3a011f8, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x57f66508, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x91aebbce, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x3123b311, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x9b65deb9, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0xbfad3327, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xa27fe06a, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x26f62262, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x4ab6f83f, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x0b8ad171, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x7ef6810d, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xd64b70a4, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xec535ce4, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x849e582f, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xb0b522a2, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x9eccd2d0, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xc3155275, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x9c5b857d, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0xc72f0627, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x38ffe921, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x81c64123, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0xb01d3d1b, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x29b58799, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0xc41fea91, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x4f529ed0, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x131ce720, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x78d9af05, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x6863164a, "");
SYMBOL_CRC(mlx4_get_module_info, 0x690011df, "");
SYMBOL_CRC(mlx4_max_tc, 0xd456f52f, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x751b6fc2, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x286443b8, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xd8e1fd49, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x68b663be, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x0b4966c9, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xd5b83613, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0xffca3539, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0x7abdbdc3, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xe446f5ad, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xc0bad815, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x2595904c, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xcec172f2, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x3a26abf3, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x9b44b277, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb9693a95, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x48135051, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7cd2d23b, "devl_region_create" },
	{ 0x34a54691, "devlink_unregister" },
	{ 0x417fa175, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6d4d8c0f, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5976e57, "auxiliary_device_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xb62eb581, "devlink_region_snapshot_id_get" },
	{ 0x49103ed9, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x1284e3e, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x763225d5, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xd373f0a, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4425f784, "param_array_ops" },
	{ 0x606e6376, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x75516700, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x7258f149, "pci_sriov_get_totalvfs" },
	{ 0xced147d6, "devlink_register" },
	{ 0x682d1ea6, "devlink_port_type_clear" },
	{ 0xf1db2148, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x7b9dca56, "param_ops_byte" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x8b10184e, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x48a1db62, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x6eaaded1, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92a53c8d, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x362f68ce, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x9bce4326, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x51253a51, "put_device" },
	{ 0x1aa4cffd, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf5aeb513, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xad5c4cc8, "__free_pages" },
	{ 0x591f9f73, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe2eb50ed, "device_create_file" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xc4f7b0c9, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x3ea2cef, "__auxiliary_device_add" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x8dd2f495, "devl_port_register_with_ops" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf4f5ed7e, "dma_alloc_attrs" },
	{ 0x130ccabc, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9581da3e, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x347c0082, "pci_restore_state" },
	{ 0x781a006c, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xbd597c03, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8b775739, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x399b645, "__alloc_pages" },
	{ 0x262d6bcb, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xf900e176, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x82da69dd, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd25ed9f, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xe29ea5e8, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xcf5e35cd, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x1192a3ea, "pci_release_regions" },
	{ 0x4b000a61, "devl_assert_locked" },
	{ 0x63247431, "pcie_print_link_status" },
	{ 0xa061d86, "alloc_pages" },
	{ 0x5ca9c267, "devl_port_unregister" },
	{ 0x36580c52, "devl_param_driverinit_value_get" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x22874e12, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x4a368d8a, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x45d8ed9a, "pci_disable_msix" },
	{ 0x11a5a466, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x7e3e225c, "dma_set_mask" },
	{ 0x871ea47c, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x83e78e3c, "dma_unmap_sg_attrs" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xeb550f27, "param_ops_int" },
	{ 0x3e11bf7, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1042a1e5, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4c2c0a0e, "pci_write_config_dword" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0x2bc60c06, "device_remove_file" },
	{ 0x24327d28, "dma_map_sg_attrs" },
	{ 0x44df5aa4, "devl_param_value_changed" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "404B5ACF317598EB45AF60F");
