#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(net_failover_create, "_gpl", "");
KSYMTAB_FUNC(net_failover_destroy, "_gpl", "");

SYMBOL_CRC(net_failover_create, 0x18828dde, "_gpl");
SYMBOL_CRC(net_failover_destroy, 0xf2ebbdbf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7fd716dc, "vlan_uses_dev" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbdc7d288, "netdev_err" },
	{ 0xdd64e639, "strscpy" },
	{ 0x39b54c66, "vlan_vid_del" },
	{ 0x2e44b4b6, "vlan_vid_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x24a35505, "dev_uc_sync_multiple" },
	{ 0x7632b926, "dev_mc_sync_multiple" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x25f709af, "netdev_pick_tx" },
	{ 0xf617fe70, "alloc_etherdev_mqs" },
	{ 0xc37e7127, "dev_addr_mod" },
	{ 0x51de2dd3, "register_netdev" },
	{ 0x93d882b1, "netif_carrier_off" },
	{ 0x93fd2ea4, "failover_register" },
	{ 0x25d84360, "_dev_err" },
	{ 0xac62c8c4, "free_netdev" },
	{ 0x9fdf1982, "unregister_netdev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xed427035, "netif_device_detach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3c081384, "failover_slave_unregister" },
	{ 0xb5d72c47, "failover_unregister" },
	{ 0x3bade31c, "unregister_netdevice_queue" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x63b4ac41, "__ethtool_get_link_ksettings" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x654f579e, "__dev_queue_xmit" },
	{ 0xbc666a63, "dev_kfree_skb_any_reason" },
	{ 0xc778ab01, "netdev_core_stats_alloc" },
	{ 0xce5d25f7, "netif_carrier_on" },
	{ 0xd087b535, "netif_tx_wake_queue" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x227c056f, "netdev_lower_state_changed" },
	{ 0xe091ad2c, "netif_tx_stop_all_queues" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x78a05e19, "vlan_vids_add_by_dev" },
	{ 0x6286dedb, "call_netdevice_notifiers" },
	{ 0x4d5a99db, "ethtool_op_get_link" },
	{ 0x77aecae4, "passthru_features_check" },
	{ 0x91c87ecf, "eth_validate_addr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x130a254f, "dev_open" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x831ea398, "netdev_change_features" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xb3c69022, "vlan_vids_del_by_dev" },
	{ 0x8bcbd8d6, "dev_uc_unsync" },
	{ 0x684acfc0, "dev_mc_unsync" },
	{ 0x16664385, "dev_close" },
	{ 0xefec6a1a, "dev_get_stats" },
	{ 0x66e4d8d3, "netdev_info" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc0f46bb5, "dev_set_mtu" },
	{ 0x2766af04, "pci_bus_type" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "failover");


MODULE_INFO(srcversion, "DF2C47AF2AEAC55E208CB5C");
