#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x771c300b, "bcm_phy_set_wol" },
	{ 0x6c1425f7, "bcm_phy_get_stats" },
	{ 0x2588215d, "phy_drivers_unregister" },
	{ 0xaf1d4b39, "mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x86b7864a, "bcm_phy_read_exp" },
	{ 0xbcb1b7db, "bcm_phy_write_exp" },
	{ 0xd9b0914, "bcm_phy_get_sset_count" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xd972cb63, "bcm_ptp_probe" },
	{ 0x3ca38be3, "devm_gpiod_get" },
	{ 0xa842ac7c, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x59299362, "devm_request_threaded_irq" },
	{ 0xc2863b6c, "device_set_wakeup_capable" },
	{ 0x6b1f36b8, "device_wakeup_enable" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe54c4503, "bcm_ptp_stop" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd4455807, "bcm_ptp_config_init" },
	{ 0x387fd32b, "pm_wakeup_dev_event" },
	{ 0x8925a970, "genphy_resume" },
	{ 0xf5b86fe8, "genphy_soft_reset" },
	{ 0x7610c52f, "bcm_phy_config_intr" },
	{ 0xd8a9cd1d, "bcm_phy_handle_interrupt" },
	{ 0xee7815f3, "bcm_phy_get_strings" },
	{ 0x452d35bb, "bcm_phy_led_brightness_set" },
	{ 0xb2b4419a, "genphy_suspend" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x42921330, "phy_drivers_register" },
	{ 0x237c7fee, "mdiobus_read" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xebdbca30, "phy_trigger_machine" },
	{ 0x55b8f114, "phy_error" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2591f2e5, "bcm54xx_auxctl_read" },
	{ 0xc30ff478, "bcm54xx_auxctl_write" },
	{ 0x67b568eb, "bcm_phy_read_shadow" },
	{ 0x40016948, "bcm_phy_write_shadow" },
	{ 0xb5181561, "__genphy_config_aneg" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x899ac792, "phy_modify" },
	{ 0xcaca3db4, "genphy_c37_read_status" },
	{ 0xa69fe0a2, "genphy_read_status" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x2e2cdbee, "genphy_c37_config_aneg" },
	{ 0xe10087c7, "devm_kmalloc" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xba8da49f, "bcm_phy_get_wol" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib,bcm-phy-ptp");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "765E51766C0426E5FD9B2CB");
