#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x73d7b63d, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x955c8042, "");
SYMBOL_CRC(team_options_register, 0xc386bb2f, "");
SYMBOL_CRC(team_options_unregister, 0xcecb7f1c, "");
SYMBOL_CRC(team_option_inst_set_change, 0x11b71bd4, "");
SYMBOL_CRC(team_options_change_check, 0x2314f511, "");
SYMBOL_CRC(team_mode_register, 0x1e088a48, "");
SYMBOL_CRC(team_mode_unregister, 0xe2da28b9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb624c22d, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x29fa3e4b, "__netpoll_free" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x6286dedb, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x11089ac7, "_ctype" },
	{ 0xac4a6057, "__nlmsg_put" },
	{ 0x59ceb9c9, "netdev_warn" },
	{ 0x63b4ac41, "__ethtool_get_link_ksettings" },
	{ 0x63a0c136, "try_module_get" },
	{ 0x66e4d8d3, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x6f8cfa86, "netdev_upper_dev_unlink" },
	{ 0xc8546d02, "netdev_rx_handler_unregister" },
	{ 0xb3c69022, "vlan_vids_del_by_dev" },
	{ 0x16664385, "dev_close" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x831ea398, "netdev_change_features" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x45b1dbce, "netdev_has_upper_dev" },
	{ 0x7fd716dc, "vlan_uses_dev" },
	{ 0x5f9ffe9a, "dev_uc_flush" },
	{ 0x92df1f20, "dev_mc_flush" },
	{ 0x130a254f, "dev_open" },
	{ 0x78a05e19, "vlan_vids_add_by_dev" },
	{ 0x1802f8f3, "netdev_rx_handler_register" },
	{ 0x23882673, "netdev_master_upper_dev_link" },
	{ 0xc05ef67b, "dev_disable_lro" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4d5a99db, "ethtool_op_get_link" },
	{ 0x77aecae4, "passthru_features_check" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf3fb5e90, "dev_set_mac_address" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7d2101a3, "netlink_unicast" },
	{ 0xf0cd3754, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xce5d25f7, "netif_carrier_on" },
	{ 0x93d882b1, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x15e1988e, "dev_set_promiscuity" },
	{ 0x3419c1f5, "dev_set_allmulti" },
	{ 0x8bcbd8d6, "dev_uc_unsync" },
	{ 0x684acfc0, "dev_mc_unsync" },
	{ 0xc0f46bb5, "dev_set_mtu" },
	{ 0xbdc7d288, "netdev_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xfee0631b, "__dynamic_netdev_dbg" },
	{ 0xbc666a63, "dev_kfree_skb_any_reason" },
	{ 0x24a35505, "dev_uc_sync_multiple" },
	{ 0x7632b926, "dev_mc_sync_multiple" },
	{ 0xc37e7127, "dev_addr_mod" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x39b54c66, "vlan_vid_del" },
	{ 0x2e44b4b6, "vlan_vid_add" },
	{ 0xfb578fc5, "memset" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7a885759, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x9548b26, "__alloc_skb" },
	{ 0xb598dc5b, "genlmsg_put" },
	{ 0xb8b93f9b, "kfree_skb_reason" },
	{ 0x758e7c73, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8bb46e7c, "ether_setup" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbc3b5dfd, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x24177cf6, "genl_register_family" },
	{ 0x7a75e1ce, "rtnl_link_unregister" },
	{ 0x8511aa3, "genl_unregister_family" },
	{ 0x654f579e, "__dev_queue_xmit" },
	{ 0xde8356f3, "netpoll_send_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd6d6c2c7, "netlink_broadcast" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd2482d23, "skb_clone" },
	{ 0xc6b0e0c3, "consume_skb" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x227c056f, "netdev_lower_state_changed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x754d539c, "strlen" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd9726fad, "skb_trim" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");
