#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x17bc9a3a, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x4ffc16af, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xc103513b, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x8243897e, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xec04616f, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xdfe1fac0, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xaa7212b9, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xd9d5c671, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x774937d1, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x8f6cffb8, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x2198d77b, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x2f9a81f8, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x9fe42df8, "_gpl");
SYMBOL_CRC(usbnet_open, 0x1a1bc08a, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xdebcea90, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xd34964a9, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xd0ebd511, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x5ec85b2e, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xa54841b1, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x5dd689f3, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xcc3af994, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xc8c7f0a6, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x486921cb, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x39203d4a, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x83f4a866, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xdf8d0235, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x760e4367, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x1261da9a, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x66335f69, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x7e26b5f1, "");
SYMBOL_CRC(usbnet_manage_power, 0x8dc0115f, "");
SYMBOL_CRC(usbnet_link_change, 0xc79274a1, "");
SYMBOL_CRC(usbnet_read_cmd, 0xb2d8d458, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x249c0153, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xce2becb0, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x80d221be, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x334943cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x340b3262, "usb_set_interface" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf0132511, "usb_string" },
	{ 0x4d440931, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xc37e7127, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xfb578fc5, "memset" },
	{ 0x13dfd249, "skb_defer_rx_timestamp" },
	{ 0xf3ba0141, "netif_rx" },
	{ 0x31153673, "eth_type_trans" },
	{ 0x2dd6007f, "skb_queue_tail" },
	{ 0xfee0631b, "__dynamic_netdev_dbg" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x89e47715, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x637090fc, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa1d81a1a, "usb_unlink_urb" },
	{ 0x7bd019e, "usb_free_urb" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x3a707b83, "usb_submit_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbdc7d288, "netdev_err" },
	{ 0x3d75b179, "mii_ethtool_get_link_ksettings" },
	{ 0xecf1f7ae, "mii_ethtool_set_link_ksettings" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x54b3b2f4, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x9fdf1982, "unregister_netdev" },
	{ 0xc6b0e0c3, "consume_skb" },
	{ 0x7902bdda, "usb_get_from_anchor" },
	{ 0x3a0cf567, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xac62c8c4, "free_netdev" },
	{ 0x66e4d8d3, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xed427035, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4d551b9c, "netif_device_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xce587578, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa89e7488, "usb_autopm_get_interface" },
	{ 0xfd8bd143, "usb_autopm_put_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3b299248, "usb_alloc_urb" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x98e30605, "mii_link_ok" },
	{ 0x4d5a99db, "ethtool_op_get_link" },
	{ 0xc2b4ac67, "usb_autopm_put_interface_async" },
	{ 0x93d882b1, "netif_carrier_off" },
	{ 0xce5d25f7, "netif_carrier_on" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xf617fe70, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x51de2dd3, "register_netdev" },
	{ 0xac4a4d7e, "pm_runtime_enable" },
	{ 0x5f371a4, "usb_check_bulk_endpoints" },
	{ 0xfae35189, "skb_dequeue" },
	{ 0xf52f7f62, "skb_clone_tx_timestamp" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xcec1900, "usb_autopm_get_interface_async" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa225b57e, "skb_tstamp_tx" },
	{ 0xbc666a63, "dev_kfree_skb_any_reason" },
	{ 0x58ce0d7b, "usb_anchor_urb" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf047924b, "__netdev_alloc_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd087b535, "netif_tx_wake_queue" },
	{ 0x668a725c, "usb_autopm_get_interface_no_resume" },
	{ 0x9ab56243, "skb_put" },
	{ 0x13f51cd9, "usb_clear_halt" },
	{ 0xf9de08df, "eth_mac_addr" },
	{ 0x91c87ecf, "eth_validate_addr" },
	{ 0x7a524c6d, "dev_get_tstats64" },
	{ 0x94e47cd1, "ethtool_op_get_ts_info" },
	{ 0xeb550f27, "param_ops_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "52D9376E758B004E2D285ED");
