#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0xd4eaefb8, "");
SYMBOL_CRC(ath11k_core_resume, 0xbad04a96, "");
SYMBOL_CRC(ath11k_core_pre_init, 0xdc220d65, "");
SYMBOL_CRC(ath11k_core_init, 0x47ea9b7d, "");
SYMBOL_CRC(ath11k_core_deinit, 0x9dbc9c0f, "");
SYMBOL_CRC(ath11k_core_free, 0xdb9548c9, "");
SYMBOL_CRC(ath11k_core_alloc, 0xb933adb0, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0xdec15e63, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0x085c3ba3, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x919d2ad8, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0xbf9618f1, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x18d21fac, "");
SYMBOL_CRC(ath11k_info, 0x5fda8993, "");
SYMBOL_CRC(ath11k_err, 0xafb575fa, "");
SYMBOL_CRC(ath11k_warn, 0xdad7eb82, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0xaccd7358, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0xc4fa2738, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0x31ff2fd4, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xf3f4769b, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x3bdcec56, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x51e20f5b, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x33668546, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0xf922099b, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x787b2201, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x683d3265, "");
SYMBOL_CRC(ath11k_pcic_read, 0x019b10fd, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0xa12c3607, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0xcc9aac39, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x295c8810, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xdbae0775, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x1c7fde33, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0xce5fbd91, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x28f05488, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x09bd2512, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0x09794371, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x6cd4ea96, "");
SYMBOL_CRC(ath11k_pcic_start, 0x20cab0a2, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0xabd98c13, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x6298d74b, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0x0b33f151, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x2fcf2ea7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1141c64c, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe31b2ea4, "ieee80211_gtk_rekey_notify" },
	{ 0xd1b25f27, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xc7d6d60f, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc2863b6c, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x20978fb9, "idr_find" },
	{ 0xbb2cd3ed, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x9ab56243, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5330ffa2, "firmware_request_nowarn" },
	{ 0xd3b7ae10, "qmi_handle_init" },
	{ 0xc6b0e0c3, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1749f69f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x67d648c7, "device_get_mac_address" },
	{ 0x6e941f17, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfae35189, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8505fd52, "ieee80211_free_hw" },
	{ 0xc913bb18, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x119ac93a, "ieee80211_iterate_stations_atomic" },
	{ 0x91494e90, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x770c76a9, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x76265be2, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8fa85cc7, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0x55c36263, "thermal_cooling_device_register" },
	{ 0xc71483ff, "ieee80211_register_hw" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0xfee2f0b7, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x542525ec, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26eaacc0, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x43ba6e79, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1aba95d2, "pskb_expand_head" },
	{ 0x11b64e57, "dev_driver_string" },
	{ 0x803d16e, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd308b93c, "ieee80211_find_sta" },
	{ 0xd67badf5, "dma_map_page_attrs" },
	{ 0x7e52d9d3, "qmi_send_request" },
	{ 0xd141abc8, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x1061d12e, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xedbb6560, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xe111c373, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x42c7028, "__napi_schedule" },
	{ 0x75211454, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd328bfff, "qmi_txn_wait" },
	{ 0x591f9f73, "_dev_info" },
	{ 0x2dd6007f, "skb_queue_tail" },
	{ 0x71483155, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7e70fc3f, "sysfs_create_link" },
	{ 0x39cfb4d6, "ieee80211_obss_color_collision_notify" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe69db3cb, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7c2f094e, "ieee80211_queue_delayed_work" },
	{ 0x2f3b00f9, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xa5215739, "crypto_shash_setkey" },
	{ 0xbfc4f741, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c92774e, "qmi_txn_cancel" },
	{ 0xc15114c2, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x40afdcfb, "ieee80211_find_sta_by_ifaddr" },
	{ 0xb8b93f9b, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3f5d1786, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4d1c60b3, "skb_push" },
	{ 0xf4f5ed7e, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x38fb5bd1, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x2d12258e, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5744ef8f, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7198d435, "qmi_txn_init" },
	{ 0x9d0ca0d6, "ieee80211_report_low_ack" },
	{ 0x58136dc1, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x87651c0f, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x71b6f634, "ieee80211_free_txskb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6a5fc479, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x1ef2701f, "cfg80211_get_bss" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xbd597c03, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x73e7a309, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x9b5c5bdb, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb92556fb, "ieee80211_beacon_free_ema_list" },
	{ 0xf047924b, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x85b3bc56, "ieee80211_ready_on_channel" },
	{ 0x3e81c8f4, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd9726fad, "skb_trim" },
	{ 0xd05b0cc7, "qmi_handle_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x18b7474e, "ieee80211_vif_to_wdev" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe29ea5e8, "dma_free_attrs" },
	{ 0x84a653a9, "ieee80211_scan_completed" },
	{ 0xd3fb7a34, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0xadd83811, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xcf5e35cd, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa984775d, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x249b87e5, "ieee80211_color_change_finish" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe8a6eafa, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8771102b, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xa5d6606d, "ieee80211_queue_work" },
	{ 0x47494092, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x184a64ef, "napi_disable" },
	{ 0xbc666a63, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x8b48e9be, "regulatory_set_wiphy_regd" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x41113261, "crypto_alloc_shash" },
	{ 0x9408f5be, "ieee80211_beacon_get_template_ema_list" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdbef6dd8, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x615f23a6, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0x3217edf0, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbb2cafa, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "A4DDCB7B2D6CC6CEFBB663F");
