#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x48a1db62, "pci_unregister_driver" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x25d84360, "_dev_err" },
	{ 0x4fcbb177, "rt2800mmio_toggle_irq" },
	{ 0x32350160, "rt2800_mcu_request" },
	{ 0xb9926cf4, "rt2800mmio_enable_radio" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8eda301a, "rt2x00pci_remove" },
	{ 0xe95981fb, "rt2x00pci_pm_ops" },
	{ 0x1e546057, "rt2800mmio_queue_init" },
	{ 0xda314092, "rt2800_rt2x00debug" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0xf6656189, "rt2800mmio_probe_hw" },
	{ 0xffa64303, "rt2800_check_firmware" },
	{ 0x149585cb, "rt2800_load_firmware" },
	{ 0x11e6c5e9, "rt2x00mmio_initialize" },
	{ 0x9780b839, "rt2x00mmio_uninitialize" },
	{ 0xb18c2fb5, "rt2800mmio_get_entry_state" },
	{ 0xed2a466, "rt2800mmio_clear_entry" },
	{ 0xe6e065fe, "rt2800_rfkill_poll" },
	{ 0x49465f95, "rt2800_link_stats" },
	{ 0xa91d4db4, "rt2800_reset_tuner" },
	{ 0x47d9449f, "rt2800_link_tuner" },
	{ 0xee92d35d, "rt2800_gain_calibration" },
	{ 0x967eec33, "rt2800_vco_calibration" },
	{ 0xfc6576e2, "rt2800_watchdog" },
	{ 0xc330bbd5, "rt2800mmio_start_queue" },
	{ 0x278b5b5, "rt2800mmio_kick_queue" },
	{ 0x39f4b112, "rt2800mmio_stop_queue" },
	{ 0xcea323d4, "rt2800mmio_flush_queue" },
	{ 0xa03f0f56, "rt2800mmio_write_tx_desc" },
	{ 0x1a2c85a4, "rt2800_write_tx_data" },
	{ 0xb882a780, "rt2800_write_beacon" },
	{ 0x82b1bfec, "rt2800_clear_beacon" },
	{ 0xfac3e87b, "rt2800mmio_fill_rxdone" },
	{ 0x8ecc5ed4, "rt2800_config_shared_key" },
	{ 0x54054eec, "rt2800_config_pairwise_key" },
	{ 0x8423795b, "rt2800_config_filter" },
	{ 0x62098826, "rt2800_config_intf" },
	{ 0xf8dabfb0, "rt2800_config_erp" },
	{ 0x7787f592, "rt2800_config_ant" },
	{ 0x3750551c, "rt2800_config" },
	{ 0x5eab52a7, "rt2800_pre_reset_hw" },
	{ 0xfe4e639c, "rt2x00mmio_regbusy_read" },
	{ 0xae2ba634, "rt2800mmio_init_registers" },
	{ 0xd1ad96b8, "rt2800mmio_get_txwi" },
	{ 0xf33a2f40, "rt2800mmio_get_dma_done" },
	{ 0x62a9fc2b, "rt2x00mac_tx" },
	{ 0xd1b30351, "rt2x00mac_start" },
	{ 0xbc096b09, "rt2x00mac_stop" },
	{ 0x81165c04, "rt2x00mac_add_interface" },
	{ 0x38f0c9ed, "rt2x00mac_remove_interface" },
	{ 0x46e3dd92, "rt2x00mac_config" },
	{ 0xc839044f, "rt2x00mac_bss_info_changed" },
	{ 0xe6ca38ad, "rt2x00mac_configure_filter" },
	{ 0x482e0d5f, "rt2x00mac_set_key" },
	{ 0x4020aa53, "rt2x00mac_sw_scan_start" },
	{ 0x64be3206, "rt2x00mac_sw_scan_complete" },
	{ 0xf0e2ab2e, "rt2x00mac_get_stats" },
	{ 0x4e0bef6a, "rt2800_get_key_seq" },
	{ 0x864f5870, "rt2800_set_rts_threshold" },
	{ 0xdad3b70e, "rt2800_sta_add" },
	{ 0x35da5546, "rt2800_sta_remove" },
	{ 0x839d0814, "rt2800_conf_tx" },
	{ 0xa6e28fd9, "rt2800_get_tsf" },
	{ 0xba11fdb8, "rt2800_ampdu_action" },
	{ 0xc2ca7fa7, "rt2800_get_survey" },
	{ 0x79cd6e4d, "rt2x00mac_rfkill_poll" },
	{ 0xeb17df94, "rt2x00mac_flush" },
	{ 0x66bab548, "rt2x00mac_get_ringparam" },
	{ 0x37382db9, "rt2x00mac_tx_frames_pending" },
	{ 0xb00caabc, "rt2x00mac_reconfig_complete" },
	{ 0x1061d12e, "ieee80211_handle_wake_tx_queue" },
	{ 0xcf5e35cd, "param_ops_bool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1284e3e, "__pci_register_driver" },
	{ 0x6e9679df, "rt2x00pci_probe" },
	{ 0x1bb93759, "rt2800_efuse_detect" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xe4981f76, "rt2800_read_eeprom_efuse" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "rt2800mmio,rt2800lib,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E9BF56BB404C69688673417");
