#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaccb28a9, "cxgbi_hbas_add" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0xd6ccacfc, "cxgbi_iscsi_cleanup" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x9548b26, "__alloc_skb" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x933d003d, "cxgbi_sock_skb_entail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3ab277ad, "cxgbi_sock_free_cpl_skbs" },
	{ 0x8b14cb7e, "___pskb_trim" },
	{ 0xa54824e, "cxgbi_conn_pdu_ready" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7a885759, "module_put" },
	{ 0x862ba1f1, "cxgbi_sock_fail_act_open" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x37a0cba, "kfree" },
	{ 0x40aeaa26, "cxgb4_remove_tid" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe87025cd, "cxgbi_sock_closed" },
	{ 0xe7bb6848, "cxgbi_sock_purge_wr_queue" },
	{ 0xb88298f5, "cxgb4_l2t_release" },
	{ 0x8ebce4ee, "cxgb4_free_atid" },
	{ 0x42b01f3b, "cxgb4_clip_release" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x3423594d, "cxgbi_sock_established" },
	{ 0xf87abc58, "cxgbi_conn_tx_open" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc4ab189b, "cxgb4_pktgl_to_skb" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xe88b1190, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc78bfeab, "cxgb4_alloc_atid" },
	{ 0x4da82082, "cxgb4_l2t_get" },
	{ 0xd69a0294, "cxgb4_best_mtu" },
	{ 0x67e18858, "cxgb4_port_chan" },
	{ 0xc512d015, "cxgb4_port_idx" },
	{ 0x63a0c136, "try_module_get" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x95794433, "__neigh_event_send" },
	{ 0x8c2d6b27, "ip6_mtu" },
	{ 0x6b2cc19c, "neigh_destroy" },
	{ 0x210a0dc4, "cxgb4_clip_get" },
	{ 0xda4dd244, "ipv4_mtu" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf656e02a, "cxgbi_create_session" },
	{ 0xc858a8f2, "cxgbi_destroy_session" },
	{ 0xd0c59caa, "cxgbi_create_conn" },
	{ 0x5b3e64e1, "iscsi_conn_unbind" },
	{ 0x98159df0, "cxgbi_bind_conn" },
	{ 0xd63e6e36, "iscsi_conn_start" },
	{ 0x1ed27234, "iscsi_conn_stop" },
	{ 0xaee8a35, "iscsi_tcp_conn_teardown" },
	{ 0x70d04f0c, "cxgbi_set_conn_param" },
	{ 0xe4296c1, "cxgbi_get_ep_param" },
	{ 0xf3d32b44, "iscsi_conn_get_param" },
	{ 0x3deb3366, "iscsi_session_get_param" },
	{ 0xdc005bdd, "cxgbi_get_host_param" },
	{ 0xa054e58, "cxgbi_set_host_param" },
	{ 0xec4ad9f, "iscsi_conn_send_pdu" },
	{ 0x5d4f846b, "cxgbi_get_conn_stats" },
	{ 0xa1289e2, "iscsi_tcp_task_init" },
	{ 0xd78d8a07, "iscsi_tcp_task_xmit" },
	{ 0x7dc415a1, "cxgbi_cleanup_task" },
	{ 0xdf9dd417, "cxgbi_conn_alloc_pdu" },
	{ 0x53b76775, "cxgbi_conn_xmit_pdu" },
	{ 0x9f11e7ec, "cxgbi_conn_init_pdu" },
	{ 0xea965292, "cxgbi_parse_pdu_itt" },
	{ 0xdc26be5a, "iscsi_session_recovery_timedout" },
	{ 0xc0355d48, "cxgbi_ep_connect" },
	{ 0x438521f2, "cxgbi_ep_poll" },
	{ 0x5875b675, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0xd29c14b7, "iscsi_queuecommand" },
	{ 0xd2a8f57a, "iscsi_eh_abort" },
	{ 0xf0803b43, "iscsi_eh_device_reset" },
	{ 0x473e6bf8, "iscsi_eh_recover_target" },
	{ 0xc5bbb174, "iscsi_target_alloc" },
	{ 0xcfeab060, "scsi_change_queue_depth" },
	{ 0x96d486dc, "iscsi_eh_cmd_timed_out" },
	{ 0xc3c53b, "param_ops_ushort" },
	{ 0xbb2cd3ed, "param_ops_uint" },
	{ 0xeb550f27, "param_ops_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6f194f0c, "cxgbi_iscsi_init" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x567da2d7, "cxgb4_register_uld" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7aa730c0, "cxgbi_device_unregister" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa96b26b8, "cxgbi_sock_rcv_wr_ack" },
	{ 0xe79ec831, "__kfree_skb" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x81b63388, "cxgb4_ofld_send" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb8b93f9b, "kfree_skb_reason" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa6257a2f, "complete" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x6dafb355, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0x2e39b5ae, "cxgbi_sock_rcv_abort_rpl" },
	{ 0x8cac3b29, "cxgbi_sock_rcv_peer_close" },
	{ 0x86055705, "cxgb4_select_ntuple" },
	{ 0x1b5c478a, "cxgb4_l2t_send" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4082931, "cxgbi_ddp_ppm_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdfa18fe6, "cxgbi_device_register" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb27ae1bc, "cxgbi_device_portmap_create" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "libcxgbi,cxgb4,libiscsi,libiscsi_tcp");


MODULE_INFO(srcversion, "4E0025AE3FC5F365D2C0C5C");
