#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0xad5557f5, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x3eada333, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0xe3c938a7, "");
SYMBOL_CRC(sdw_intel_startup, 0x84055454, "");
SYMBOL_CRC(sdw_intel_exit, 0x462f864e, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x618c736e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e938b4a, "sdw_cdns_pdi_init" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb6d3e325, "simple_attr_open" },
	{ 0x220668eb, "debugfs_attr_write" },
	{ 0xe10087c7, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x5976e57, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5dcddd78, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3900856b, "sdw_cdns_clock_restart" },
	{ 0xacaf8dd3, "sdw_cdns_debugfs_init" },
	{ 0xbac8e644, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x4e1404a, "pm_runtime_set_autosuspend_delay" },
	{ 0x12fa83b3, "sdw_bus_master_add" },
	{ 0xdf51e41e, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdb763e76, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe362d828, "sdw_cdns_is_clock_stop" },
	{ 0xc939018a, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8cf9fe63, "sdw_cdns_config_update_set_wait" },
	{ 0xd5d06d61, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4d440931, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x541b4259, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeada99fb, "__pm_runtime_set_status" },
	{ 0x92a53c8d, "auxiliary_driver_unregister" },
	{ 0x5c035b4a, "devm_snd_soc_register_component" },
	{ 0xf562171b, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x51253a51, "put_device" },
	{ 0x306fe039, "cdns_set_sdw_stream" },
	{ 0xac4a4d7e, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfc9aed5c, "fwnode_property_read_u32_array" },
	{ 0x591f9f73, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xfa196e7f, "sdw_clear_slave_status" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x27e965e4, "debugfs_attr_read" },
	{ 0x34de69, "sdw_stream_remove_master" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf278ada0, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x729c235f, "sdw_cdns_exit_reset" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc4815b06, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3ea2cef, "__auxiliary_device_add" },
	{ 0x83cc1ff6, "sdw_cdns_alloc_pdi" },
	{ 0x888b6710, "sdw_cdns_clock_stop" },
	{ 0x1bdf57bc, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5d0e630, "debugfs_remove" },
	{ 0x6b0be8cf, "cdns_xfer_msg_defer" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xac028842, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x781a006c, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x670ff40c, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4cb46ad, "devm_kasprintf" },
	{ 0x9876cbcd, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0xc34595f7, "seq_read" },
	{ 0x87d5095f, "debugfs_create_file" },
	{ 0x51625258, "sdw_stream_add_master" },
	{ 0xde56bc2f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa3b4bad1, "cdns_read_ping_status" },
	{ 0xa4c6661d, "acpi_fetch_acpi_dev" },
	{ 0x752d1cda, "device_get_named_child_node" },
	{ 0xc5a16668, "sdw_cdns_probe" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x615bce25, "sdw_cdns_config_update" },
	{ 0x2a7f5832, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb00e1615, "sdw_bus_master_delete" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xaee6495a, "single_release" },
	{ 0x871ea47c, "__auxiliary_driver_register" },
	{ 0x4513e278, "sdw_cdns_check_self_clearing_bits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xbb17aa39, "__pm_runtime_use_autosuspend" },
	{ 0xd3221ae0, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0xeb550f27, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xcb7d91a, "single_open" },
	{ 0xcf1cb906, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x78a98dd8, "__pm_runtime_disable" },
	{ 0x3ace4380, "debugfs_create_dir" },
	{ 0x6c3dbba, "sdw_master_read_prop" },
	{ 0x5f3521fb, "sdw_compute_params" },
	{ 0x809e04fa, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,snd-soc-core,soundwire-generic-allocation,snd-pcm");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "25EBA2C3B69DC5C5F969F69");
