#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hw_phymode_configure, "_gpl", "");
KSYMTAB_FUNC(ci_hdrc_add_device, "_gpl", "");
KSYMTAB_FUNC(ci_hdrc_remove_device, "_gpl", "");
KSYMTAB_FUNC(ci_hdrc_query_available_role, "_gpl", "");

SYMBOL_CRC(hw_phymode_configure, 0x1c34ee5e, "_gpl");
SYMBOL_CRC(ci_hdrc_add_device, 0xe4d4f1a2, "_gpl");
SYMBOL_CRC(ci_hdrc_remove_device, 0x0b038656, "_gpl");
SYMBOL_CRC(ci_hdrc_query_available_role, 0xf59faccf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ecc9dd3, "platform_device_put" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xc2863b6c, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x59299362, "devm_request_threaded_irq" },
	{ 0x63b107cc, "device_set_of_node_from_dev" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe10087c7, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x22625706, "devm_platform_get_and_ioremap_resource" },
	{ 0xd85fa2e5, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5d231a85, "platform_get_irq" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x4e1404a, "pm_runtime_set_autosuspend_delay" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc939018a, "seq_lseek" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4d440931, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x882368b, "devm_regulator_get_optional" },
	{ 0x29c1f5f0, "platform_device_add_data" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0x20b5c9ab, "usb_get_dr_mode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeada99fb, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd6b3aa10, "debugfs_lookup_and_remove" },
	{ 0x4fe80c01, "usb_get_maximum_speed" },
	{ 0xac4a4d7e, "pm_runtime_enable" },
	{ 0xf5138f84, "phy_exit" },
	{ 0x591f9f73, "_dev_info" },
	{ 0x146e2eca, "platform_device_add_resources" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3eb7470, "platform_device_unregister" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x826ad2c0, "platform_device_add" },
	{ 0x4c2cb6fc, "phy_power_on" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x39aaf57f, "platform_device_alloc" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5a8d886a, "ulpi_register_interface" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0x55a0fabb, "devm_extcon_register_notifier" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x81bc227d, "phy_power_off" },
	{ 0xbbb9952d, "usb_role_switch_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4649a6b6, "__platform_driver_register" },
	{ 0xe5eca590, "ulpi_unregister_interface" },
	{ 0xc34595f7, "seq_read" },
	{ 0xa2e6426a, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x87d5095f, "debugfs_create_file" },
	{ 0xde56bc2f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2a7f5832, "seq_printf" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xaee6495a, "single_release" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x19c9160, "__pm_runtime_suspend" },
	{ 0xed188fee, "usb_debug_root" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x754d539c, "strlen" },
	{ 0xbb17aa39, "__pm_runtime_use_autosuspend" },
	{ 0x859ef766, "devm_phy_get" },
	{ 0xcb7d91a, "single_open" },
	{ 0x78a98dd8, "__pm_runtime_disable" },
	{ 0x3ace4380, "debugfs_create_dir" },
	{ 0x809e04fa, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x6c5f5e7a, "phy_init" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "roles,ulpi,extcon-core");


MODULE_INFO(srcversion, "FD17D020C3FCE0E6FCF13E7");
