#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x0c722ca6, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x445d89f9, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x8bc88758, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x9aebee6c, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xefef3195, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xdae40aab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x880ecfec, "nf_ct_ext_add" },
	{ 0xe9ab1838, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x415844c4, "nsh_pop" },
	{ 0xcb34dbbb, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x819fc3e8, "nf_ct_set_timeout" },
	{ 0xefec6a1a, "dev_get_stats" },
	{ 0xd131d34c, "__nla_put" },
	{ 0x63a0c136, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd1b0b52e, "dev_fill_metadata_dst" },
	{ 0x63b4c25d, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xab1c86c, "skb_copy_bits" },
	{ 0x1a9e1ed0, "nf_ct_handle_fragments" },
	{ 0xf9de08df, "eth_mac_addr" },
	{ 0x9ab56243, "skb_put" },
	{ 0x6af9ba56, "genl_notify" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9423e7d1, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc6b0e0c3, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x45abdaeb, "nf_ct_nat" },
	{ 0x36fa32bb, "nla_reserve" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xc0191246, "skb_eth_pop" },
	{ 0x4fb4af28, "trace_raw_output_prep" },
	{ 0xe5474395, "skb_gso_validate_mac_len" },
	{ 0xe81dcfb8, "nla_put_64bit" },
	{ 0x3af13467, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xd816c156, "nf_ct_helper" },
	{ 0x6a57d08a, "__trace_trigger_soft_disabled" },
	{ 0x168596d, "__skb_ext_del" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0x70ac555, "trace_event_printf" },
	{ 0x6825b8db, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xbc3b5dfd, "rtnl_link_register" },
	{ 0x7dcd461f, "nf_connlabels_put" },
	{ 0xb598dc5b, "genlmsg_put" },
	{ 0x8b14cb7e, "___pskb_trim" },
	{ 0xaf8bd959, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x15e1988e, "dev_set_promiscuity" },
	{ 0xa91f8e94, "nf_ct_destroy_timeout" },
	{ 0x5669ccf7, "nf_ct_add_helper" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0xb1e123ec, "nf_conntrack_helper_put" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xc78f2da8, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd797a4ba, "nf_ct_skb_network_trim" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x3bade31c, "unregister_netdevice_queue" },
	{ 0x6fd2f8a3, "kmem_cache_create" },
	{ 0x8b3d6894, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x8bb46e7c, "ether_setup" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1aba95d2, "pskb_expand_head" },
	{ 0x39f69b6c, "skb_csum_hwoffload_help" },
	{ 0xdb0f805d, "trace_event_buffer_commit" },
	{ 0xc37e7127, "dev_addr_mod" },
	{ 0xb8cf433e, "nf_connlabels_replace" },
	{ 0x31153673, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x97ac75d5, "alloc_netdev_mqs" },
	{ 0xb16ce7a3, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x3ca57401, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xc8546d02, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd6d6c2c7, "netlink_broadcast" },
	{ 0xee1829b2, "skb_eth_push" },
	{ 0x2b817444, "nf_conncount_count" },
	{ 0x9548b26, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x25b7efbc, "kmem_cache_alloc" },
	{ 0xd3f233e0, "skb_mpls_pop" },
	{ 0x94d6a61, "skb_vlan_pop" },
	{ 0x1d111ea4, "dst_init" },
	{ 0x7a885759, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7a75e1ce, "rtnl_link_unregister" },
	{ 0xaf56a341, "perf_trace_run_bpf_submit" },
	{ 0x2f3b00f9, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xc4f7b0c9, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xc25d0138, "ipv6_stub" },
	{ 0xb47ef857, "skb_mpls_update_lse" },
	{ 0xbfc4f741, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x7d2101a3, "netlink_unicast" },
	{ 0xbe13740, "bpf_trace_run5" },
	{ 0xf8f5ce97, "dev_get_by_index_rcu" },
	{ 0xb8b93f9b, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4d1c60b3, "skb_push" },
	{ 0x59538d01, "kmem_cache_free" },
	{ 0x6f8cfa86, "netdev_upper_dev_unlink" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x537bc963, "trace_event_reg" },
	{ 0xfe654fb7, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xac62c8c4, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6dde84ef, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4a467b77, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4d5a99db, "ethtool_op_get_link" },
	{ 0x9193e1c9, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x80760409, "nf_nat_helper_put" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf1a6d7c9, "__pskb_pull_tail" },
	{ 0xe2341b96, "nf_ct_delete" },
	{ 0xc1f309d, "nf_conncount_init" },
	{ 0x5bacbada, "skb_vlan_push" },
	{ 0x7a524c6d, "dev_get_tstats64" },
	{ 0xf3ba0141, "netif_rx" },
	{ 0xf047924b, "__netdev_alloc_skb" },
	{ 0x23882673, "netdev_master_upper_dev_link" },
	{ 0x836b0d19, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x1aebc5f0, "inet_proto_csum_replace16" },
	{ 0xd9726fad, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x884bede8, "skb_scrub_packet" },
	{ 0x37de7f23, "nf_ct_deliver_cached_events" },
	{ 0x37bf9da1, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdea9560, "skb_tx_error" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x654f579e, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4cba1bfe, "trace_event_buffer_reserve" },
	{ 0xc35e3a24, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x1f18aa2c, "inet_proto_csum_replace4" },
	{ 0x26cc223c, "nf_conncount_destroy" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xfa8d1812, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf4893ddd, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x3479c425, "dev_get_by_name" },
	{ 0xd2482d23, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xa4101fd7, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9a9aa462, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfdddccf5, "peernet2id_alloc" },
	{ 0xf49294eb, "nf_ct_get_tuplepr" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1802f8f3, "netdev_rx_handler_register" },
	{ 0x820d8e3, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8511aa3, "genl_unregister_family" },
	{ 0xc05ef67b, "dev_disable_lro" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xbc666a63, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x24177cf6, "genl_register_family" },
	{ 0x40245f7e, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9b2289e4, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe1df112c, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x24b9ddae, "skb_mpls_push" },
	{ 0x7a91583b, "register_pernet_device" },
	{ 0xfb8f0d2, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0x8a643b6c, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbf7b6dbd, "kmem_cache_destroy" },
	{ 0xb1cd31b8, "__skb_vlan_pop" },
	{ 0x84d47ced, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x758e7c73, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount");


MODULE_INFO(srcversion, "9AE736D4187887A2FA625FE");
