#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0xf919aba4, "");
SYMBOL_CRC(oxygen_read16, 0x65c64ac2, "");
SYMBOL_CRC(oxygen_read32, 0x16d356fb, "");
SYMBOL_CRC(oxygen_write8, 0x8601117b, "");
SYMBOL_CRC(oxygen_write16, 0xab31bc92, "");
SYMBOL_CRC(oxygen_write32, 0x61c88127, "");
SYMBOL_CRC(oxygen_write8_masked, 0x2b515b4d, "");
SYMBOL_CRC(oxygen_write16_masked, 0x75525b78, "");
SYMBOL_CRC(oxygen_write32_masked, 0x0a0241f8, "");
SYMBOL_CRC(oxygen_write_ac97, 0x01110e2b, "");
SYMBOL_CRC(oxygen_read_ac97, 0x85d035a2, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0xceab5088, "");
SYMBOL_CRC(oxygen_write_spi, 0xb03c23e6, "");
SYMBOL_CRC(oxygen_write_i2c, 0x1d54d95e, "");
SYMBOL_CRC(oxygen_reset_uart, 0x93062fa4, "");
SYMBOL_CRC(oxygen_write_uart, 0x1c66e194, "");
SYMBOL_CRC(oxygen_pci_probe, 0xa026176f, "");
SYMBOL_CRC(oxygen_pci_pm, 0x6f0a3856, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0xd4e6126e, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0xb954eb94, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x59299362, "devm_request_threaded_irq" },
	{ 0xe10087c7, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x40574693, "snd_ctl_add" },
	{ 0xd5c5dab7, "snd_pcm_new" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x20f3313e, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x606e6376, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xab3f0e6a, "snd_card_free_on_error" },
	{ 0xd2782c01, "snd_card_rw_proc_new" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa8235342, "snd_pcm_set_sync" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6eaaded1, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe716423d, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x43ccb7c3, "snd_component_add" },
	{ 0x591f9f73, "_dev_info" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaf4eed2f, "snd_ctl_boolean_mono_info" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x74e9ae8d, "snd_ctl_notify" },
	{ 0x4bfafece, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x49dfdfcf, "snd_pcm_set_managed_buffer" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe4af69cd, "snd_pcm_set_managed_buffer_all" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x262d6bcb, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfe386c7b, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2a7f5832, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x2ff4b9e2, "snd_mpu401_uart_new" },
	{ 0xff75706e, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xed77bda1, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xff026841, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0x2e48b117, "snd_pcm_hw_constraint_step" },
	{ 0xa13a4889, "pcim_enable_device" },
	{ 0x6eca6aaf, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4c2c0a0e, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-mpu401-uart");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");
