#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x45e19b62, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x4af4ec5b, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x81d6815a, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x540ff0fd, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xcaad1c31, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x3a22f6cb, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x6b6c9558, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x1a549206, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x5824c8f2, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0xa5506325, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0xdab547f2, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x48db2d52, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0xddb51cbf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xafb5dc00, "crypto_grab_shash" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1c75d4da, "shash_no_setkey" },
	{ 0x17bcb6c5, "ahash_register_instance" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x431814ef, "crypto_enqueue_request" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc740276a, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd4a231d, "crypto_register_template" },
	{ 0x7a7f431f, "crypto_grab_aead" },
	{ 0x7fde6af4, "aead_register_instance" },
	{ 0x5364b05c, "crypto_grab_skcipher" },
	{ 0x1b499126, "skcipher_register_instance" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x159b57a0, "crypto_skcipher_decrypt" },
	{ 0xdd8eecd, "crypto_skcipher_encrypt" },
	{ 0xcc3f566f, "shash_ahash_digest" },
	{ 0xac19f76f, "shash_ahash_finup" },
	{ 0xadd83811, "crypto_shash_final" },
	{ 0x9edc711b, "shash_ahash_update" },
	{ 0xbb2cd3ed, "param_ops_uint" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x803d16e, "crypto_destroy_tfm" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9bad919c, "crypto_alloc_skcipher" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xbf5a4c4a, "crypto_alloc_ahash" },
	{ 0x3b689141, "crypto_alloc_aead" },
	{ 0xf8ef6193, "crypto_skcipher_setkey" },
	{ 0xcc984599, "crypto_spawn_tfm2" },
	{ 0x6abbc4c3, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0xa5215739, "crypto_shash_setkey" },
	{ 0x89ff661c, "crypto_clone_shash" },
	{ 0x662bec4f, "crypto_aead_setauthsize" },
	{ 0x200989ee, "crypto_aead_setkey" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0x581c3f9d, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DD30DF5492C1612FF1B43C");
