#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_encoder_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_allocate_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue_task, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_plane_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_from_ddc, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x9be1ead4, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_encoder_state, 0xf7e7e281, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xe9f8b977, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x1c7e8684, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x8d7d3214, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x143871a2, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x18c6451b, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x7b8af955, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xdd2ed350, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xb3f68072, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xd346aaba, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x4ea47d9a, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x97dc28e7, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x0abf57d5, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0xf8d07fe1, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x6c01794a, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xcf9e3621, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x9bbc2367, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x74698b81, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x686ce0fe, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x1ea4d7c0, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x9a65d89b, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x4dede002, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x90556036, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xcbfaf57b, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x1b157bfb, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x04949b87, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xe8927745, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x9ed5dc84, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xa09ea17a, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xbd2111ff, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x84c2c164, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x07b91f7d, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xe86e0b8f, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x556fb826, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x6bdc1ef1, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x9f9b4ff7, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x63735448, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x9c377c36, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x246bfa5c, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0xf17527a0, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x971970cb, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x0c524fa4, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xbbaf6245, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x7b62ed5c, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x8bbed0e5, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x6c89658e, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xc9b260bf, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xf4ac901e, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x146eb275, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x3b16414e, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x2f39e219, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x4c651cc4, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x86013725, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xee084f81, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x6eb535f8, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x951ec74a, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x9a153e4d, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x55fb5961, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xe6b25313, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xdaf2300c, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x93b67561, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x65c8fbbe, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xe7cf7840, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x0ff77971, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x295062fd, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xdc045f37, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x2f395230, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x2417a65d, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xf503bd25, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xe31448a1, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xd7d42114, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x2c647d71, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x6b7d5c1d, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xeff72794, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xddaf099b, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x48e5b38c, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x21461e28, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x93442bcf, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x7fde474f, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xb4ae87be, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xc6fb4a64, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xc25d001c, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x630f414e, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x10198834, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x15e8f851, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xb26a6af8, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x9d26364a, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x2c6ffb11, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x4a860d8d, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x8700f555, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x4adfb64b, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x319e777a, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x46a87d56, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x11b4c80b, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x5b58d699, "");
SYMBOL_CRC(drm_flip_work_allocate_task, 0xcf11a549, "");
SYMBOL_CRC(drm_flip_work_queue_task, 0xb6a26b52, "");
SYMBOL_CRC(drm_flip_work_queue, 0x27d1f4bf, "");
SYMBOL_CRC(drm_flip_work_commit, 0xe5b6a86c, "");
SYMBOL_CRC(drm_flip_work_init, 0x6c6e4f6a, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xe614fb2b, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x167c2bfd, "");
SYMBOL_CRC(drm_fb_swab, 0xbfb0691a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xd7abe1f1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xe53aead0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xd152af88, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xfd895db3, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x94d712d2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x21099905, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xf30b22ed, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x94ac1ee5, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x8b199cdb, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xdd1a5f15, "");
SYMBOL_CRC(drm_fb_blit, 0x7d0e3912, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xe7074fa3, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x69084f71, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x9fcf9021, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xfcba2eb6, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x61865269, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x99a1776c, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x72e738af, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xc5d586d1, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x0e1d97b6, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xafd7279a, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x34cc7e5d, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xd6bac5ef, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x1a0ac189, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x08ed911c, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x5cd59ae9, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xc78cd59c, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x77da2856, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xc8cfdc38, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x8d730049, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xd904c986, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x0955bb98, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x93e99334, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xa7ae286f, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x773b769d, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xedc34847, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x089b09d6, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x0335162c, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x31ecd65c, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x3f7ba922, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xd9e3e16f, "");
SYMBOL_CRC(drm_crtc_init, 0x37b81aa0, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xfd876bb9, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x42a124de, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xb76fbd8e, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x8b1c7049, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xbc95ff11, "");
SYMBOL_CRC(drm_plane_helper_atomic_check, 0x6d46dc94, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x7d7d4c92, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x4fc095ee, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x1ba3f551, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x8523205c, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x8823dc28, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x2b465b13, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xa2b3ddd3, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x984dcb04, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x35918f7c, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x385e74a0, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xf9f1de8c, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xf6c791c4, "");
SYMBOL_CRC(drm_connector_helper_get_modes_from_ddc, 0x1eb3bef2, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xcb252cd8, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x55da442c, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xb46b54a1, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xc649870c, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xec227f81, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x62970c06, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xcb263ddc, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xd173708c, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x756a48ad, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x0c4bdc49, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x2d134ff5, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xe8a8f6ab, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xeb808488, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x9e0394ff, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xf17be523, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xba0c7e56, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x75f82d4c, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xf72d8a2c, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x7a0c16f7, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xfea3d782, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0x83def40d, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xef577580, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x1069ff98, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x00362260, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xd87a336b, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xd8afe29c, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x3c1102a7, "");
SYMBOL_CRC(drm_fb_helper_init, 0xaf816922, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x45e62017, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x4a2d8ce1, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xfa9692ef, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x56674320, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x7e2d331d, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x0103c7fb, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xe092a6b2, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x33f520c3, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0xa99755ce, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x4f6792b7, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x09b269d5, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x06d4c857, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x0aa9f80f, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x629991b8, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x6a82db4a, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xec851bc5, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xc5547388, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xef4362f7, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0xf5a1f633, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf636865e, "unregister_framebuffer" },
	{ 0xfa651fee, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xe3d5be99, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x8f682561, "drm_client_register" },
	{ 0x63e1c820, "drm_writeback_prepare_job" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x50c20c7f, "drm_panel_get_modes" },
	{ 0x9f9f006, "drm_gem_vmap_unlocked" },
	{ 0x63a0c136, "try_module_get" },
	{ 0xf79c0e0e, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7af5d6ae, "drm_bridge_add" },
	{ 0x141b83bf, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0x2158cbd9, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe10087c7, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x609f860f, "drm_client_rotation" },
	{ 0x1541e8ca, "drm_client_buffer_vmap" },
	{ 0xcb34078a, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc243e7c4, "drm_framebuffer_init" },
	{ 0x9b2ee530, "drm_mode_validate_driver" },
	{ 0xbf3a6f6b, "drm_atomic_add_affected_planes" },
	{ 0xddb68ca, "dma_buf_end_cpu_access" },
	{ 0x7f97728d, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xac06aee5, "drm_mode_probed_add" },
	{ 0xb524a0bb, "drm_atomic_add_affected_connectors" },
	{ 0xf8f6a689, "drm_gem_vunmap_unlocked" },
	{ 0x4e192b57, "drm_bridge_hpd_enable" },
	{ 0x4a7a4791, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4657b8de, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc85fba41, "drm_client_framebuffer_delete" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x49ca9237, "drm_client_framebuffer_create" },
	{ 0x625bf65d, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xc07f5630, "drm_mode_object_get" },
	{ 0xe3f62e6c, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xdc13d367, "drm_driver_legacy_fb_format" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0x4b91be1f, "drm_crtc_cleanup" },
	{ 0x79e64112, "drm_connector_list_iter_begin" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5bea7064, "fb_deferred_io_init" },
	{ 0xbde80882, "drm_mode_set_config_internal" },
	{ 0x95c94b84, "fb_deferred_io_cleanup" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x204647a, "framebuffer_alloc" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xecccb890, "drm_encoder_cleanup" },
	{ 0x3a0ddef4, "drm_connector_unregister" },
	{ 0x5d8e0868, "drm_modeset_acquire_init" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdd68da50, "drm_client_modeset_probe" },
	{ 0x199dca4e, "drm_warn_on_modeset_not_all_locked" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4b04d77f, "drm_plane_get_damage_clips" },
	{ 0xb3e82c72, "devres_add" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6acd5a7e, "drm_add_modes_noedid" },
	{ 0x80607ab5, "drm_bridge_remove" },
	{ 0xc0059d39, "drm_mode_object_put" },
	{ 0x11b64e57, "dev_driver_string" },
	{ 0x4cbccadd, "drm_crtc_vblank_get" },
	{ 0x91ec61ad, "drm_gem_object_lookup" },
	{ 0x850de11b, "drm_crtc_send_vblank_event" },
	{ 0xbbbfba57, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x4ef4c26c, "fb_sys_write" },
	{ 0x3e07509b, "drm_atomic_normalize_zpos" },
	{ 0x9a27f77b, "drm_edid_connector_update" },
	{ 0xeb3e952, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x170bcfab, "drm_bridge_hpd_disable" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc3315cc3, "vga_switcheroo_client_fb_set" },
	{ 0x21e0922c, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd9a52be5, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc909ce05, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x40d04664, "console_trylock" },
	{ 0x15dc92f3, "sys_fillrect" },
	{ 0x20d2d7f9, "drm_connector_list_iter_end" },
	{ 0xc89af888, "drm_atomic_set_crtc_for_plane" },
	{ 0x6c98aea5, "drm_client_modeset_dpms" },
	{ 0xf0868646, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x29f75ed6, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x591f9f73, "_dev_info" },
	{ 0x7e4b765c, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x362d9fd9, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x7a885759, "module_put" },
	{ 0xc0f84978, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xe32b4061, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x5050a9af, "drm_client_init" },
	{ 0xaf958207, "drm_crtc_wait_one_vblank" },
	{ 0x52a4b46d, "drm_crtc_next_vblank_start" },
	{ 0x88d94f2, "__drmm_encoder_alloc" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xc0de2b36, "drm_modeset_lock" },
	{ 0x1f13204a, "drm_client_modeset_commit_locked" },
	{ 0x1af7b0fd, "drm_modeset_unlock" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x9de180c9, "drm_panel_disable" },
	{ 0x6a07af1a, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb546b0ed, "drm_connector_init" },
	{ 0x4562bd72, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xe8336793, "drm_writeback_cleanup_job" },
	{ 0x38130f13, "drm_modeset_lock_all_ctx" },
	{ 0xec7efbfb, "i2c_unregister_device" },
	{ 0x6a294a84, "drm_atomic_set_fb_for_plane" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x2367684, "__drm_universal_plane_alloc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xce3c7ef0, "drm_connector_init_with_ddc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x994c51b4, "drm_add_edid_modes" },
	{ 0xd348d5bb, "drm_edid_connector_add_modes" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xeda879d7, "__devres_alloc_node" },
	{ 0xa2cc0ad3, "drm_edid_read" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xf85ccf4d, "drm_crtc_commit_wait" },
	{ 0x79a8083f, "drm_dev_has_vblank" },
	{ 0x66444e68, "register_framebuffer" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x5f8d4f6d, "__drm_atomic_helper_disable_plane" },
	{ 0x15edbc79, "drm_connector_set_orientation_from_panel" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0xfe4982d7, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa1dfe5d, "drm_atomic_set_crtc_for_connector" },
	{ 0xfcd1d44e, "drm_analog_tv_mode" },
	{ 0xdf245c61, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xc74c4a3, "drm_mode_duplicate" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf9663de0, "drm_crtc_vblank_put" },
	{ 0x4c483b98, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x303e5513, "__drm_dev_dbg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x68abfc41, "drm_plane_get_damage_clips_count" },
	{ 0xa5db8c23, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xfe07d1ac, "fb_deferred_io_mmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x45e40076, "drm_atomic_state_alloc" },
	{ 0x70c280fc, "drm_client_modeset_commit" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0x8fced14b, "drm_atomic_bridge_chain_post_disable" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdbce7ea0, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31b8a5e3, "__drm_set_edid_firmware_path" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0xa4a2406a, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf037b7fc, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xcfe06112, "drm_client_release" },
	{ 0x8d72789e, "drm_edid_is_valid" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x61659de7, "__drm_atomic_helper_set_config" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x4c228c37, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xc7b95402, "drm_get_format_info" },
	{ 0x51c9f770, "drm_connector_cleanup" },
	{ 0x796b8e5f, "drm_universal_plane_init" },
	{ 0x7bf4951d, "drm_any_plane_has_format" },
	{ 0xb10e4d39, "sys_copyarea" },
	{ 0x98df664a, "drm_connector_list_iter_next" },
	{ 0xf6694f7b, "drm_modeset_acquire_fini" },
	{ 0xd5549c1, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0x615c780b, "drm_object_property_get_default_value" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x7b0f653a, "current_work" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xcf5e35cd, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf26c421e, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x8168deb9, "drm_modeset_backoff" },
	{ 0x31df4ac5, "drm_panel_prepare" },
	{ 0x19706e86, "drm_bridge_chain_mode_set" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x6f1017db, "drm_client_buffer_vunmap" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x380a8afd, "fb_sys_read" },
	{ 0x3c63897, "__drm_get_edid_firmware_path" },
	{ 0xdeb66660, "drm_atomic_get_plane_state" },
	{ 0xb7e3e342, "drm_atomic_bridge_chain_check" },
	{ 0x4c36494f, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x42f4e7c8, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x2098a4af, "drm_property_blob_put" },
	{ 0xdd8619d3, "drm_mode_destroy" },
	{ 0x4f670252, "drm_bridge_attach" },
	{ 0xf947f160, "drm_set_preferred_mode" },
	{ 0xec0776c4, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x54823816, "drm_atomic_state_clear" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x51ced0dc, "drm_mode_config_reset" },
	{ 0x7adb92b0, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xf3ec9903, "drm_modeset_drop_locks" },
	{ 0xadec20a5, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xdfc1a694, "drm_atomic_bridge_chain_disable" },
	{ 0x8ef77387, "drm_mode_create_from_cmdline_mode" },
	{ 0xcffb090, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xeb550f27, "param_ops_int" },
	{ 0x39186bd8, "drm_atomic_nonblocking_commit" },
	{ 0x3ace4380, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xc8da1d12, "drm_master_internal_release" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4cd1604f, "drm_get_edid" },
	{ 0xbdef2b7f, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xd5d6e08d, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2766af04, "pci_bus_type" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0x36ff3385, "drm_atomic_add_encoder_bridges" },
	{ 0xc15f5dc2, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x25fdffa5, "drm_sysfs_connector_hotplug_event" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "drm,i2c-core");


MODULE_INFO(srcversion, "BC41D01F3016DFF6AFDEB02");
