#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x876a3391, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x32ee0c4e, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x1a1a2c09, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x27ba766f, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x9df38bd9, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x913520e6, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0xa7437593, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xd2203623, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x475de49d, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x1145e463, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x1b825474, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xc31e7dfd, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xb982405f, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xeb843a3b, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xf20b51ac, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xeeda3edf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x286368ea, "vmf_insert_pfn" },
	{ 0x3b5afdb2, "ww_mutex_lock_interruptible" },
	{ 0x937cfef, "drm_gem_get_pages" },
	{ 0x85457b38, "dma_buf_vmap" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x96ffcebd, "invalidate_mapping_pages" },
	{ 0xabf89af3, "ww_mutex_unlock" },
	{ 0xd5bd8bac, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x739436d6, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xd310d77e, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2d191f67, "drm_gem_create_mmap_offset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5d2d908a, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x11b64e57, "dev_driver_string" },
	{ 0x4e674f99, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4ceb3907, "set_pages_array_wb" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xc64f2bd4, "drm_gem_vm_close" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xc7c3b641, "drm_gem_vm_open" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x30185598, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xbf7a0f0b, "ww_mutex_lock" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xaa1ee55b, "vmap" },
	{ 0xfe4982d7, "drm_gem_handle_create" },
	{ 0x303e5513, "__drm_dev_dbg" },
	{ 0x2cc568e6, "drm_prime_pages_to_sg" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa75c89f4, "dma_buf_vunmap" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa73ac67c, "shmem_truncate_range" },
	{ 0xba3cbf78, "set_pages_array_wc" },
	{ 0x28779e52, "drm_printf" },
	{ 0x60ae1c18, "dma_map_sgtable" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x149a7323, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x83e78e3c, "dma_unmap_sg_attrs" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0x3d0b625e, "drm_gem_put_pages" },
	{ 0xf23235e, "drm_gem_private_object_fini" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0xc0ac409f, "drm_prime_gem_destroy" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
