#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0xb864bad1, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x6bc20913, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x68f7a545, "set_disk_ro" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x608927e2, "register_md_personality" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1272b10e, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb5516ae1, "blk_start_plug" },
	{ 0x76a57730, "md_bitmap_resize" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x5d0ffcd9, "mddev_init_writes_pending" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3d04e3b6, "md_find_rdev_rcu" },
	{ 0xbbd4f27f, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xf6254051, "dump_page" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x4f67d73d, "md_bitmap_start_sync" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6dae1f84, "md_bitmap_cond_end_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x778c2d07, "md_error" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x90205553, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x26c5c5b1, "mempool_init" },
	{ 0x2989978, "register_shrinker" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x92bc8377, "md_bitmap_startwrite" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x74921959, "md_finish_reshape" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0xaef2f75f, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe057197b, "md_unregister_thread" },
	{ 0x618f157d, "__put_devmap_managed_page_refs" },
	{ 0x8c7b3811, "sync_page_io" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x441e1b63, "md_bitmap_close_sync" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x6fd2f8a3, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc28303dd, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae9191a7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x479d0045, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c87e645, "md_wakeup_thread" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x26422cc, "md_set_array_sectors" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xeaffaf9e, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x152fc160, "rdev_clear_badblocks" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x135629fe, "async_tx_quiesce" },
	{ 0x3dfdfefd, "md_write_start" },
	{ 0x69decb26, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x85047724, "mempool_alloc" },
	{ 0x2a1ae9d1, "unregister_shrinker" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x75d2c765, "async_xor" },
	{ 0xad5c4cc8, "__free_pages" },
	{ 0x25b7efbc, "kmem_cache_alloc" },
	{ 0x6aec0f5d, "async_xor_offs" },
	{ 0x840be6fe, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x8274c30e, "submit_bio" },
	{ 0x2af362d6, "blk_queue_flag_clear" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7e70fc3f, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x13ce0ad2, "kthread_unpark" },
	{ 0x36462abb, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x89b4269b, "md_done_sync" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xae84571b, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xa8a124a5, "bio_endio" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xdb02e428, "md_wait_for_blocked_rdev" },
	{ 0x904b307, "__SCK__tp_func_block_bio_remap" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c6c4377, "async_memcpy" },
	{ 0x360a9ff2, "submit_bio_noacct" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59538d01, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x579502ee, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7ccab9ed, "__tracepoint_block_unplug" },
	{ 0xc15586d3, "bio_chain" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x6383c8fe, "__blk_trace_note_message" },
	{ 0x5823ebbe, "blkdev_issue_zeroout" },
	{ 0x7c6d5a55, "disk_stack_limits" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x6b47c8fc, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd6160919, "async_raid6_2data_recov" },
	{ 0x5b71915, "md_do_sync" },
	{ 0x2715eec3, "bio_add_page" },
	{ 0x490bf0f8, "__SCK__tp_func_block_unplug" },
	{ 0xb1f9664f, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb80542dc, "md_update_sb" },
	{ 0x185224fc, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x335e2cdc, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xa45d5294, "md_flush_request" },
	{ 0x2268c8dc, "bio_init" },
	{ 0x427b3d95, "md_register_thread" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xa2ed91c3, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xd5e6d064, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5fc269e1, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1ba13495, "__cpu_to_node" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7af6fb84, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcc64021f, "unregister_md_personality" },
	{ 0xaf795a0, "blk_queue_max_write_zeroes_sectors" },
	{ 0xded11ae6, "md_bitmap_unplug" },
	{ 0xbf2c739a, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcf5e35cd, "param_ops_bool" },
	{ 0x3a5a9e5d, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeb208071, "async_syndrome_val" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xa061d86, "alloc_pages" },
	{ 0xa852527f, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x2a7f5832, "seq_printf" },
	{ 0x19dffee, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x49a00e5f, "blk_queue_io_min" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x294997d7, "md_check_recovery" },
	{ 0x4ed7d494, "md_bitmap_endwrite" },
	{ 0xde31d4c3, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb4ddbd8e, "blkdev_issue_flush" },
	{ 0x6a623f1e, "mddev_suspend" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9cdaccb9, "badblocks_check" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xe941580b, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xff17ba4f, "rdev_set_badblocks" },
	{ 0x244eae75, "bio_alloc_bioset" },
	{ 0xb2d73e00, "blk_queue_io_opt" },
	{ 0xbc6da023, "async_raid6_datap_recov" },
	{ 0x5ad5ed6c, "submit_bio_wait" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0xb6a38f6f, "mempool_exit" },
	{ 0xbf7b6dbd, "kmem_cache_destroy" },
	{ 0x38e22c5e, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xcb1b46ee, "blkdev_issue_discard" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq");


MODULE_INFO(srcversion, "2719800A7E632A7B7088D4E");
