#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_crop, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_compose, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x43b334e9, "");
SYMBOL_CRC(video_device_release, 0x252928bf, "");
SYMBOL_CRC(video_device_release_empty, 0x6778e769, "");
SYMBOL_CRC(video_devdata, 0x1d78aa5a, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0xc6aaa7cc, "");
SYMBOL_CRC(video_unregister_device, 0x4c879bbc, "");
SYMBOL_CRC(video_device_pipeline_start, 0x09087842, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0xe655d1d7, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x4e4d0776, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x16f2c090, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0x4025eca6, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0xc52a7fa0, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x15da5d3b, "");
SYMBOL_CRC(v4l2_device_register, 0x00ea42da, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0xe91b987c, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x462e2b9d, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x9ad606dd, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x25ce56e9, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0x1d0a26cd, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xad75ca66, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x0c4e137a, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0xe313de4e, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x78d7d069, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x8d5c5eb9, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0xe953c9d4, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x5ddb11f5, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0xbe94180e, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0xb067304a, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0x81bd762c, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0x7715818d, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x09525400, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0xa2d03141, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x2d055e19, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x91f743c0, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x1b8ecbc6, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x0933bf1b, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0xda22da40, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x45d84511, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x1a631782, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0xc7660738, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x40f510a6, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0xc193740b, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0xe71a9a9f, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x600fffbb, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0xd203faf7, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0xde6e37d9, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x42adf993, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0xa6e85c63, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x92094f8e, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x8ce5637d, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0x263a14eb, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_format, 0xc86897a7, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_crop, 0xed6c9ccf, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_compose, 0xb5a337db, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x65d7839c, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x4894cd55, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x6b2f4b45, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0xd3d9d938, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0xedb35423, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x49be6521, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x1afd4ccd, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x3fe98879, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x0d09167f, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x92f56ef9, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0xc0839bf1, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x1e8e55e2, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0xed0011cd, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x1210e27f, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0x8d4555a5, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x113a7515, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xdfccb8f9, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x1dbeaff1, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0xa9f65447, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0x190477f6, "");
SYMBOL_CRC(v4l2_ctrl_find, 0xc930c78d, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x33e2e9c6, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0x69b3fbc8, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x72215cea, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x0873c003, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x535a136c, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0xc878e6e3, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0x4c249ede, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x231f3160, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x3998c3d6, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x282b68a8, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x5bf69eb9, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x0d1b5587, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0xd4e6002a, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x9e1b589d, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xdf22cc9f, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x937f5ba3, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0xdc865d37, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0x04e12476, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0xa14668cb, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x5750b289, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x24481334, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x1597cd95, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0xedcb59fc, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x2e0e0e65, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0xa274da2d, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0xfafd23b3, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x4b19ed1b, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xbcaa2fb3, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0x4fd38665, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x8e55a99e, "");
SYMBOL_CRC(v4l2_queryctrl, 0x703af15e, "");
SYMBOL_CRC(v4l2_querymenu, 0x7ca3a620, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x3c89f401, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x5a91ec68, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x1ce55706, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0xc0de400e, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0xf407010f, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0xa5d8f575, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0x1a58e10b, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x98e3273d, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x6647ec93, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x4830c286, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0x3921cdbc, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x55d0af66, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x29dfce21, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x8d778c7a, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0xafbd18e8, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x20449ebc, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0xd5930a84, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x004b8ac8, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0x64892c09, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0xdb882f19, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0x4c1220ae, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0xb67f6a22, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0xf66078f4, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x426ae02f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x7ff0da26, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0x6c281a02, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0x8b6a06a9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x047c3958, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0xec969cf7, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x34bcf72b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0xe28ceafd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0xf7915186, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x582d36d8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x366f698e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x7601f911, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x94d2f6db, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x7236f467, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0x8017cf04, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0xd4ffbf12, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2fc11a72, "media_devnode_remove" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x63a0c136, "try_module_get" },
	{ 0xa52d657, "media_request_object_find" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x414a873e, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a208895, "led_sysfs_enable" },
	{ 0xa0adc89f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x97e3f3d4, "fwnode_graph_get_remote_endpoint" },
	{ 0x4fb4af28, "trace_raw_output_prep" },
	{ 0xca636d1e, "spi_unregister_device" },
	{ 0x50df2317, "device_unregister" },
	{ 0x6a57d08a, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x70ac555, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7f005313, "media_request_object_unbind" },
	{ 0x386db4e8, "led_put" },
	{ 0xa78c6725, "led_trigger_remove" },
	{ 0x82ca0209, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xaf8bd959, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x2c118382, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0xef54f65d, "fwnode_graph_get_port_parent" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x79b1b75b, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x8b10184e, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4d440931, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd4ba989f, "media_create_intf_link" },
	{ 0x424ea2f4, "media_create_pad_link" },
	{ 0xdb0f805d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6deff7e, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x29f6f78a, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x51253a51, "put_device" },
	{ 0xc131c61f, "i2c_new_scanned_device" },
	{ 0x377ec13c, "media_pad_pipeline" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8b165ad5, "media_request_object_put" },
	{ 0x7a885759, "module_put" },
	{ 0x799ed758, "media_pipeline_alloc_start" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb77d711f, "media_device_register_entity" },
	{ 0xb93d56be, "media_request_get_by_fd" },
	{ 0xbd65686f, "cdev_add" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xbe883706, "led_get" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaf56a341, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xec7efbfb, "i2c_unregister_device" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x6308c48f, "media_request_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x42ada54, "spi_new_device" },
	{ 0x537bc963, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2763db9, "media_request_object_bind" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x25784ae2, "class_unregister" },
	{ 0x7d6f8437, "media_graph_walk_next" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4c483b98, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd0635c84, "device_register" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfd61db99, "media_pipeline_start" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xa541acc9, "media_pipeline_stop" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1cdc201, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4cba1bfe, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xff9a0c89, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x76dcd259, "led_set_brightness" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe58b5088, "media_graph_walk_start" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1457dd45, "media_devnode_create" },
	{ 0x7008674f, "dev_err_probe" },
	{ 0x8733b1c6, "media_entity_get_fwnode_pad" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xf81628d0, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xd126d66f, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd1eda01, "__media_pipeline_start" },
	{ 0x2eb81cac, "class_register" },
	{ 0x1bf5293f, "led_sysfs_disable" },
	{ 0x80cc2198, "media_entity_find_link" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x75ff1fe, "__dev_fwnode" },
	{ 0x2766af04, "pci_bus_type" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0x10ed0c8d, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa27cf1bd, "cdev_alloc" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "mc,i2c-core");


MODULE_INFO(srcversion, "E7B8F6024BA329DE371ED39");
