#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x55a06157, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0xf2b05e23, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x14f56038, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x699e242e, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0xde34775e, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0xc636d3e2, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x774077d4, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x479dc215, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x964d4f0f, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x502898e3, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0xb9908114, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x9a8b5c4e, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x3a55eca5, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x1ba0f14e, "_gpl");
SYMBOL_CRC(mtd_erase, 0xcc1f94e0, "_gpl");
SYMBOL_CRC(mtd_point, 0x296a8d12, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0xe5c5e99a, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x8cc42921, "_gpl");
SYMBOL_CRC(mtd_read, 0xaf638830, "_gpl");
SYMBOL_CRC(mtd_write, 0x9bcde626, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x0bdbe40c, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x430d4051, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x36668bf0, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x5a138a6e, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x8a16b4c9, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0xee07100f, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xb61f0ebc, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x5ae0dbd0, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x93db13f8, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0xf1aaaed8, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x4cba4a32, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xf1231623, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0xb0165a58, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x7ff4988d, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0xf2bb4cda, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x607a76a4, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x3f49d2e4, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x04f1829e, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xed6172bc, "_gpl");
SYMBOL_CRC(mtd_lock, 0x6d4a7b4c, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x28f6013f, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0xd7064c6e, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x519056f4, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x17208fea, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x6526438a, "_gpl");
SYMBOL_CRC(mtd_writev, 0xda1940e4, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xd49b5cb3, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x80e8289f, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0xe32f1506, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0xa0ff863b, "");
SYMBOL_CRC(mtd_concat_destroy, 0xec392c89, "");
SYMBOL_CRC(mtd_add_partition, 0xc95661be, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x95b2cb2c, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x66908a90, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x3748695e, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x3bd32d31, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcaf49e1b, "generic_shutdown_super" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x63a0c136, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xeffec165, "sget_dev" },
	{ 0x8cf53184, "bdi_unregister" },
	{ 0xa0adc89f, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3c61d16d, "bdi_register" },
	{ 0x50df2317, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x51270a93, "logfc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa1f2caeb, "sysfs_remove_files" },
	{ 0x14bc5035, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3e2221f9, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x51253a51, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7a885759, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf061b4, "debugfs_create_bool" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x469147e9, "device_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5d0e630, "debugfs_remove" },
	{ 0xa5bbb481, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x25784ae2, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf7131551, "bdi_alloc" },
	{ 0xd0635c84, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x1941c1df, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xc2d97ab1, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9b0fa1dc, "remove_proc_entry" },
	{ 0x9ac2e7e2, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a7f5832, "seq_printf" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xb8b36805, "deactivate_locked_super" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xcffb65c9, "seq_puts" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7008674f, "dev_err_probe" },
	{ 0x6ab6fa69, "proc_create_single_data" },
	{ 0x2a368bcf, "nvmem_register" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3ace4380, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2eb81cac, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F791D9842983DCB762A2866");
