#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");
KSYMTAB_DATA(dwmac1000_dma_ops, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x72d3429e, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x6510cda8, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xaab84587, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x9dd41db7, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x954f39a2, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xe3d5c08a, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");
SYMBOL_CRC(dwmac1000_dma_ops, 0x9ae534bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x983e577e, "mdiobus_alloc_size" },
	{ 0x1ca988d8, "__tracepoint_xdp_exception" },
	{ 0x4180a4cd, "xsk_tx_completed" },
	{ 0x2ef9d327, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc41496e7, "xp_alloc" },
	{ 0xd1b25f27, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x57eaa28c, "bpf_prog_put" },
	{ 0xc2863b6c, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xff56f813, "xp_dma_map" },
	{ 0xab1c86c, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe10087c7, "devm_kmalloc" },
	{ 0xf9de08df, "eth_mac_addr" },
	{ 0x9ab56243, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa225b57e, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xcb59d435, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc9e35aa2, "netdev_update_features" },
	{ 0xc6b0e0c3, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1749f69f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x75580b23, "bpf_warn_invalid_xdp_action" },
	{ 0x9fdf1982, "unregister_netdev" },
	{ 0x627c9505, "xdp_convert_zc_to_xdp_frame" },
	{ 0x32f68b3a, "xdp_features_set_redirect_target" },
	{ 0xc913bb18, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x763225d5, "dma_sync_single_for_device" },
	{ 0x8f49645e, "hrtimer_init" },
	{ 0x900b9322, "skb_add_rx_frag" },
	{ 0x84521fdf, "get_device_system_crosststamp" },
	{ 0x7052beb3, "ptp_clock_index" },
	{ 0x12b2f250, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0xc939018a, "seq_lseek" },
	{ 0xfe6c3772, "page_pool_destroy" },
	{ 0xb1c1119d, "xdp_do_redirect" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x59ceb9c9, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcc156f32, "flow_rule_match_ipv4_addrs" },
	{ 0x8ef8010, "xdp_rxq_info_unreg_mem_model" },
	{ 0x26eaacc0, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdc7d288, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x40579299, "phylink_limit_mac_speed" },
	{ 0x630db9df, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x11b64e57, "dev_driver_string" },
	{ 0xf226cdee, "pinctrl_pm_select_default_state" },
	{ 0xc37e7127, "dev_addr_mod" },
	{ 0xc0cdb9e, "xdp_rxq_info_reg_mem_model" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x31153673, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeada99fb, "__pm_runtime_set_status" },
	{ 0xd67badf5, "dma_map_page_attrs" },
	{ 0xd141abc8, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xd6d32f85, "__devm_alloc_percpu" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x387fd32b, "pm_wakeup_dev_event" },
	{ 0x3176f683, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x42c7028, "__napi_schedule" },
	{ 0xac4a4d7e, "pm_runtime_enable" },
	{ 0xea8a89bd, "xsk_set_rx_need_wakeup" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xed427035, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6ee56184, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x591f9f73, "_dev_info" },
	{ 0x7a5fc62f, "xpcs_create_mdiodev" },
	{ 0x39b4ed97, "napi_gro_receive" },
	{ 0x4d551b9c, "netif_device_attach" },
	{ 0x625837e, "xdp_features_clear_redirect_target" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x25f709af, "netdev_pick_tx" },
	{ 0x5a140f7b, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7c1a1fcf, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8dcf0cf9, "xdp_rxq_info_is_reg" },
	{ 0x1dc9e496, "devm_alloc_etherdev_mqs" },
	{ 0xf92bd62e, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xebfebba3, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x130a254f, "dev_open" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0x17b771c5, "xpcs_destroy" },
	{ 0x6ac29608, "pinctrl_pm_select_sleep_state" },
	{ 0xbfc4f741, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x185b2eef, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xbfb57683, "ptp_clock_register" },
	{ 0xaac84130, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb745aa88, "xsk_tx_peek_desc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x587ed125, "netif_set_real_num_tx_queues" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa92a7a2, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x16664385, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xf4f5ed7e, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5d0e630, "debugfs_remove" },
	{ 0x38fb5bd1, "napi_enable" },
	{ 0xf98b6a3e, "xsk_clear_rx_need_wakeup" },
	{ 0x7a08719d, "xpcs_get_interfaces" },
	{ 0xa42f39c0, "xsk_uses_need_wakeup" },
	{ 0x51de2dd3, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x1571813, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x300ef088, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x4d5a99db, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1361767e, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xd087b535, "netif_tx_wake_queue" },
	{ 0x9a5f0e08, "fwnode_get_phy_node" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xbd597c03, "dma_sync_single_for_cpu" },
	{ 0x20fc99c8, "page_pool_create" },
	{ 0x6b43e473, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0xff6172ea, "flow_rule_match_ports" },
	{ 0xdb1abdf6, "phylink_fwnode_phy_connect" },
	{ 0xe4f93ed, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xace0e605, "ptp_clock_event" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x499d4554, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x41f76f53, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3b681fbb, "ptp_clock_unregister" },
	{ 0x376081e0, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x7f3283fe, "xpcs_get_an_mode" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfee0631b, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb2c9e0e7, "xdp_return_frame_rx_napi" },
	{ 0x2c477883, "netdev_alert" },
	{ 0xd25ed9f, "dma_set_coherent_mask" },
	{ 0xc34595f7, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xca5863ba, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x85b98e71, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0x87d5095f, "debugfs_create_file" },
	{ 0x23592da8, "xsk_set_tx_need_wakeup" },
	{ 0xe29ea5e8, "dma_free_attrs" },
	{ 0xde56bc2f, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x91843cec, "xp_set_rxq_info" },
	{ 0x60047212, "flow_rule_match_vlan" },
	{ 0x15af5c0f, "xdp_rxq_info_unreg" },
	{ 0x6f686152, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x68f7f641, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x93d882b1, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2a7f5832, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x699a1687, "mdiobus_get_phy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xce5d25f7, "netif_carrier_on" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xf1d9e813, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x655fe0b1, "xp_free" },
	{ 0xaee6495a, "single_release" },
	{ 0x7e3e225c, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7008674f, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0x22a862f3, "xdp_master_redirect" },
	{ 0xf81628d0, "fwnode_handle_put" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x47494092, "napi_schedule_prep" },
	{ 0x184a64ef, "napi_disable" },
	{ 0xbc666a63, "dev_kfree_skb_any_reason" },
	{ 0x784c585c, "eth_header_parse_protocol" },
	{ 0xeb550f27, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcb7d91a, "single_open" },
	{ 0x78a98dd8, "__pm_runtime_disable" },
	{ 0x3ace4380, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf52f7f62, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x809e04fa, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x94e47cd1, "ethtool_op_get_ts_info" },
	{ 0x13c2f41d, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x75ff1fe, "__dev_fwnode" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0x66e4d8d3, "netdev_info" },
	{ 0xd9a9b7f7, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "D2623C690590339F0A75221");
