#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaff6ff55, "phy_init_hw" },
	{ 0x66335f69, "usbnet_resume" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x632871bd, "usb_deregister" },
	{ 0x668a725c, "usb_autopm_get_interface_no_resume" },
	{ 0xfd8bd143, "usb_autopm_put_interface" },
	{ 0x5c0afc1b, "platform_get_ethdev_address" },
	{ 0xc37e7127, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7f9521dc, "phy_disconnect" },
	{ 0xca5863ba, "mdiobus_unregister" },
	{ 0x300ef088, "mdiobus_free" },
	{ 0xc471dd7d, "__irq_resolve_mapping" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x691bbbfa, "irq_domain_remove" },
	{ 0x3d317339, "irq_domain_free_fwnode" },
	{ 0x37a0cba, "kfree" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa69fe0a2, "genphy_read_status" },
	{ 0x3e694e35, "phy_mii_ioctl" },
	{ 0xbfc4f741, "skb_pull" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf047924b, "__netdev_alloc_skb" },
	{ 0x9ab56243, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd9726fad, "skb_trim" },
	{ 0xec04616f, "usbnet_skb_return" },
	{ 0x334943cd, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x122c3a7e, "_printk" },
	{ 0x17bc9a3a, "usbnet_get_endpoints" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x22b8e40, "__irq_domain_alloc_fwnode" },
	{ 0x7a53e9a1, "irq_domain_simple_ops" },
	{ 0xf2c740ab, "__irq_domain_add" },
	{ 0x60334519, "irq_create_mapping_affinity" },
	{ 0x1137063d, "dummy_irq_chip" },
	{ 0x41da9dee, "handle_simple_irq" },
	{ 0x589946bc, "irq_set_chip_and_handler_name" },
	{ 0x983e577e, "mdiobus_alloc_size" },
	{ 0xf1d9e813, "__mdiobus_register" },
	{ 0x1260e4b5, "phy_find_first" },
	{ 0xa71cc692, "phy_connect_direct" },
	{ 0x12b2f250, "phy_attached_info" },
	{ 0xbdc7d288, "netdev_err" },
	{ 0x1261da9a, "usbnet_suspend" },
	{ 0xfb578fc5, "memset" },
	{ 0x760e4367, "usbnet_probe" },
	{ 0xdf8d0235, "usbnet_disconnect" },
	{ 0x1a1bc08a, "usbnet_open" },
	{ 0x9fe42df8, "usbnet_stop" },
	{ 0x83f4a866, "usbnet_start_xmit" },
	{ 0xf9de08df, "eth_mac_addr" },
	{ 0x91c87ecf, "eth_validate_addr" },
	{ 0xaa7212b9, "usbnet_change_mtu" },
	{ 0x39203d4a, "usbnet_tx_timeout" },
	{ 0x7a524c6d, "dev_get_tstats64" },
	{ 0x5dd689f3, "usbnet_get_drvinfo" },
	{ 0xcc3af994, "usbnet_get_msglevel" },
	{ 0xc8c7f0a6, "usbnet_set_msglevel" },
	{ 0x6196332e, "phy_ethtool_nway_reset" },
	{ 0x2e9aec3a, "net_selftest" },
	{ 0x94e47cd1, "ethtool_op_get_ts_info" },
	{ 0x81283bcb, "phy_ethtool_get_link_ksettings" },
	{ 0xbc591047, "phy_ethtool_set_link_ksettings" },
	{ 0xcf5e35cd, "param_ops_bool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x1aba95d2, "pskb_expand_head" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xbc666a63, "dev_kfree_skb_any_reason" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4d1c60b3, "skb_push" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0xb2d8d458, "usbnet_read_cmd" },
	{ 0xce2becb0, "usbnet_read_cmd_nopm" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x59ceb9c9, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x249c0153, "usbnet_write_cmd" },
	{ 0x80d221be, "usbnet_write_cmd_nopm" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xfee0631b, "__dynamic_netdev_dbg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2f59546, "generic_handle_domain_irq" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x5bb2ad5d, "phy_start" },
	{ 0x1d3d1714, "phy_stop" },
	{ 0xb85d8ba8, "phy_get_pause" },
	{ 0xc8d2d7ba, "phy_print_status" },
	{ 0xd9d5c671, "usbnet_defer_kevent" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd1b25f27, "device_set_wakeup_enable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66e4d8d3, "netdev_info" },
	{ 0xf9a482f9, "msleep" },
	{ 0x636ade0d, "usb_register_driver" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "usbnet");

MODULE_ALIAS("usb:v0424p9500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9505d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424pEC00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9905d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9906d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9907d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9908d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9909d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9530d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9730d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E08d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0878p1400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v184Fp0051d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "1E6A952C6FEABE611EA4AA6");
