#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x55090c12, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xe5a4712c, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x3640c9ca, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xa5038ee0, "");
SYMBOL_CRC(gss_mech_put, 0x0810e597, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x0d50757a, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xec00c5a8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e31c8ac, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x63a0c136, "try_module_get" },
	{ 0xbd8063c6, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x80e1b4ca, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x63b4c25d, "bpf_trace_run4" },
	{ 0xe2945b13, "xdr_stream_decode_opaque_auth" },
	{ 0xbb2cd3ed, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1433109f, "xdr_write_pages" },
	{ 0x1d128265, "rpc_shutdown_client" },
	{ 0x64ef1e74, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf21bbd8d, "xdr_inline_decode" },
	{ 0xf624694, "cache_create_net" },
	{ 0xf6254051, "dump_page" },
	{ 0x8abf3690, "rpcauth_destroy_credcache" },
	{ 0x4fb4af28, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8a09ec97, "bpf_trace_run6" },
	{ 0xde20c3c5, "rpc_net_ns" },
	{ 0xfdc3a0ce, "read_bytes_from_xdr_buf" },
	{ 0x6a57d08a, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6ef75f09, "rpc_wake_up" },
	{ 0x70ac555, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5e2b2a1b, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xaf8bd959, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x618f157d, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x72a4c0c7, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x79b1b75b, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd322a4e4, "xdr_truncate_decode" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x524f745a, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x85abc853, "__xdr_commit_encode" },
	{ 0x14bc5035, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x48da2f6f, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f096d07, "__put_cred" },
	{ 0xcfd8e37d, "register_pernet_subsys" },
	{ 0xdb0f805d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd2e4100f, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7bc04f7, "rpc_release_client" },
	{ 0x181d6c1c, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf3dcf2c7, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe407175b, "svc_auth_register" },
	{ 0x8cdae9b5, "xdr_stream_encode_opaque_auth" },
	{ 0xab84f52, "make_kuid" },
	{ 0xefc882cd, "rpc_destroy_pipe_data" },
	{ 0xad5c4cc8, "__free_pages" },
	{ 0x6aa74ea0, "rpc_pipe_generic_upcall" },
	{ 0x7a885759, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x46702662, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x275f47b0, "sunrpc_cache_unhash" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaf56a341, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x37a5f26c, "rpcauth_lookup_credcache" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xc1f5a4f, "rpcauth_init_credcache" },
	{ 0xd56e9aa3, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe8f601f3, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x537bc963, "trace_event_reg" },
	{ 0x1ca05dcd, "rpc_call_null" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x71b42978, "rpc_sleep_on_timeout" },
	{ 0xe0219451, "rpc_create" },
	{ 0x533c7c1b, "bpf_trace_run1" },
	{ 0xa412dc96, "rpc_call_sync" },
	{ 0x9e2c5caa, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xff0fc031, "unregister_pernet_subsys" },
	{ 0x8cc93e25, "rpc_queue_upcall" },
	{ 0x95c71e0a, "xdr_encode_word" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xbcb3c4a4, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x85a5a150, "svcauth_unix_set_client" },
	{ 0xadc63403, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x7db0057e, "make_kgid" },
	{ 0x99777308, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7c39dd88, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffe90909, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa0c474f1, "bpf_trace_run3" },
	{ 0xf51a6a79, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x81841eca, "rpc_mkpipe_dentry" },
	{ 0x9463de9c, "rpc_mkpipe_data" },
	{ 0x1b8bf286, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4cba1bfe, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xceddfe23, "cache_register_net" },
	{ 0x671d788f, "init_user_ns" },
	{ 0xa061d86, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa8ac3b74, "xdr_inline_pages" },
	{ 0xa852527f, "__folio_put" },
	{ 0x9b0fa1dc, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x2826f814, "rpc_init_wait_queue" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xbb7cfef5, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x11845570, "rpc_unlink" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7bba2813, "rpcauth_wrap_req_encode" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xb54fbafb, "from_kuid_munged" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xe7a9081b, "rpcauth_init_cred" },
	{ 0x9e743a0b, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc62625e2, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x464388db, "rpc_init_pipe_dir_object" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x590b7310, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x7bb8d12c, "sunrpc_cache_update" },
	{ 0x9ee2c9fb, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1a1822, "rpc_destroy_wait_queue" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6e4591b3, "auth_domain_put" },
	{ 0xcbb503f2, "rpcauth_unwrap_resp_decode" },
	{ 0x50338ed4, "rpcauth_register" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "D3213DC345F5419BC550B8B");
