#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x14ece132, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xe2bfe88d, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x60e714a7, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xd3b24dce, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x9e14dad2, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xaa5aa02d, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x29f34446, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x5d503d52, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x9eb59ca3, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xd576db82, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x8ae82cee, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x02a8ac30, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x416e9a68, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x98e292c8, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x039c6422, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x4732feb7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xfd7cc0d8, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xfe868976, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x7e016e17, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x6e125e4e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xb3b4c72d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x48e79258, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x8fabfe5b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x15d3b605, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x7e0e4c70, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x18fd019c, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x6b666fff, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xc562c3ef, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x12742026, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x4a3f1d9d, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xd097d2f3, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xad63ae2a, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x8351b2fd, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x60fd3fed, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x5b61d8b0, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xa2d7fe27, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8a6f423, "vsock_enqueue_accept" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3b0a11ac, "_copy_to_iter" },
	{ 0x7f8753b2, "vsock_insert_connected" },
	{ 0x9ab56243, "skb_put" },
	{ 0xc6b0e0c3, "consume_skb" },
	{ 0x4fb4af28, "trace_raw_output_prep" },
	{ 0x6a57d08a, "__trace_trigger_soft_disabled" },
	{ 0x3c4cfe35, "vsock_remove_sock" },
	{ 0x70ac555, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x8f3e203, "vsock_deliver_tap" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xaf8bd959, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x978a0afe, "bpf_trace_run8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x530a7ed3, "sk_error_report" },
	{ 0xdb0f805d, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x86341ee6, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x9548b26, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaf56a341, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbfc4f741, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2f126dfa, "sk_free" },
	{ 0xb8b93f9b, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x537bc963, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x807d46be, "__skb_recv_datagram" },
	{ 0x493c1d2e, "lock_sock_nested" },
	{ 0x425bb2a, "vsock_stream_has_data" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x1bf50701, "vsock_find_connected_socket" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c984023, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdab3bc1b, "bpf_trace_run10" },
	{ 0x56bfe5f3, "vsock_core_get_transport" },
	{ 0x6ef95ee, "vsock_stream_has_space" },
	{ 0x4cba1bfe, "trace_event_buffer_reserve" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x52275800, "_copy_from_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0x55d338a7, "vsock_create_connected" },
	{ 0x4fc775bc, "vsock_assign_transport" },
	{ 0xdcb1403a, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0xb9b8e44, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4f1885df, "vsock_data_ready" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1E83FB8A08E3BA8A9F42A67");
