#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_bzero, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x21364727, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x54917a50, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0xdf71b1ca, "");
SYMBOL_CRC(snd_emu10k1_synth_bzero, 0x8246bb17, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0xbbfafc93, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0xc253d514, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0x9f97f505, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0xaa9ebb25, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0xbe02a612, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0x759a4ca8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xeb15aa4c, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd094143c, "snd_dma_alloc_dir_pages" },
	{ 0x59299362, "devm_request_threaded_irq" },
	{ 0xbb2cd3ed, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8565241c, "snd_rawmidi_transmit" },
	{ 0x770b1db2, "snd_ac97_write_cache" },
	{ 0x40574693, "snd_ctl_add" },
	{ 0x49deb778, "snd_ac97_resume" },
	{ 0xd5c5dab7, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd06db15e, "snd_seq_device_new" },
	{ 0x20f3313e, "snd_card_register" },
	{ 0x9f9c97e7, "request_firmware" },
	{ 0xe8b2b2d9, "snd_devm_alloc_dir_pages" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x1284e3e, "__pci_register_driver" },
	{ 0xad78ebc6, "snd_pcm_hw_constraint_minmax" },
	{ 0x122fa786, "snd_timer_interrupt" },
	{ 0x4425f784, "param_array_ops" },
	{ 0x606e6376, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd2782c01, "snd_card_rw_proc_new" },
	{ 0xa6ec4e5c, "snd_ac97_update_bits" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xbbeede08, "snd_ac97_mixer" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc26f1122, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4d440931, "__dynamic_dev_dbg" },
	{ 0x1111808a, "snd_ctl_remove" },
	{ 0x3ba489c6, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xabe8f48f, "snd_ctl_find_id" },
	{ 0x48a1db62, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6eaaded1, "pci_read_config_dword" },
	{ 0xb85db55f, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe716423d, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x96c4f5ba, "snd_ctl_remove_id" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x591f9f73, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc3d7d593, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xfc9c8b74, "snd_ac97_suspend" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf02127d, "snd_pcm_lib_malloc_pages" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xd28dc0da, "__snd_util_mem_alloc" },
	{ 0xaf4eed2f, "snd_ctl_boolean_mono_info" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xeda33fa, "snd_util_memhdr_new" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x3e12803c, "snd_pcm_lib_free_pages" },
	{ 0xb0019624, "snd_hwdep_new" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x130ccabc, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x74e9ae8d, "snd_ctl_notify" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4bfafece, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x49dfdfcf, "snd_pcm_set_managed_buffer" },
	{ 0x5b8ef644, "snd_timer_new" },
	{ 0x34af80f0, "snd_ctl_rename" },
	{ 0xd8a61bf, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6cdda697, "snd_ac97_update" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe4af69cd, "snd_pcm_set_managed_buffer_all" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x262d6bcb, "pci_set_master" },
	{ 0x39d684d5, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf5b3467b, "snd_rawmidi_new" },
	{ 0xd25ed9f, "dma_set_coherent_mask" },
	{ 0xffc855e9, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbc32bbe3, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0x74647a6a, "snd_rawmidi_set_ops" },
	{ 0xbbb92c33, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcf5e35cd, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfe386c7b, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x2a7f5832, "seq_printf" },
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xfc2ee9f2, "snd_info_create_card_entry" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7e3e225c, "dma_set_mask" },
	{ 0x1bc4e383, "snd_device_free" },
	{ 0xff026841, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0xeb550f27, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xa13a4889, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xea94385b, "snd_pcm_hw_rule_noresample" },
	{ 0xc41e41b0, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-pcm,snd-ac97-codec,snd,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1423C36AA4CAEDBFED33904");
