#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x40574693, "snd_ctl_add" },
	{ 0x2d71d757, "snd_jack_report" },
	{ 0xd4e6126e, "oxygen_pci_shutdown" },
	{ 0x6f0a3856, "oxygen_pci_pm" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x1284e3e, "__pci_register_driver" },
	{ 0x1d54d95e, "oxygen_write_i2c" },
	{ 0x4425f784, "param_array_ops" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x4d440931, "__dynamic_dev_dbg" },
	{ 0x48a1db62, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1c66e194, "oxygen_write_uart" },
	{ 0xe716423d, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x93062fa4, "oxygen_reset_uart" },
	{ 0xf919aba4, "oxygen_read8" },
	{ 0x43ccb7c3, "snd_component_add" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xab31bc92, "oxygen_write16" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xaf4eed2f, "snd_ctl_boolean_mono_info" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xef387a4d, "snd_jack_new" },
	{ 0xa026176f, "oxygen_pci_probe" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb03c23e6, "oxygen_write_spi" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x74e9ae8d, "snd_ctl_notify" },
	{ 0xceab5088, "oxygen_write_ac97_masked" },
	{ 0x75525b78, "oxygen_write16_masked" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x39d684d5, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbc32bbe3, "_dev_notice" },
	{ 0x2b515b4d, "oxygen_write8_masked" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcf5e35cd, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x65c64ac2, "oxygen_read16" },
	{ 0x2a7f5832, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1984cdfb, "_dev_crit" },
	{ 0xeb550f27, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-oxygen-lib");

MODULE_ALIAS("pci:v000013F6d00008788sv00001043sd00008269bc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00008788sv00001043sd00008275bc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00008788sv00001043sd000082B7bc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00008788sv00001043sd00008314bc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00008788sv00001043sd00008327bc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00008788sv00001043sd0000834Fbc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00008788sv00001043sd0000835Cbc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00008788sv00001043sd0000835Dbc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00008788sv00001043sd0000835Ebc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00008788sv00001043sd0000838Ebc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00008788sv00001043sd00008428bc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00008788sv00001043sd00008522bc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00008788sv00001043sd000085F4bc*sc*i*");
MODULE_ALIAS("pci:v000013F6d00008788sv000013F6sd00008788bc*sc*i*");

MODULE_INFO(srcversion, "3771FA5F9A4D379AD6AC370");
