#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0xf548fbd6, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0xccc5296a, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0xd0466a61, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x3467db73, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x6c3a1ea4, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0xca6adb14, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0x15b5ae01, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0x6024170f, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0xb9fbc4d8, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x80761664, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x561a88f8, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x0e0996e9, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0xe4fd7e5d, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0x5d6655f0, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0xfb5b83f4, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0xd1291df7, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0x765e9133, "_gpl");
SYMBOL_CRC(wm_halo_init, 0xcd7cbfb3, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0xb5fe5eed, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x1e115a19, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0xfed5c24e, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0xe2f3f39a, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0xddb666c1, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0x89ed8e6b, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0x3c4ba0b5, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0xd2e023e8, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0xf0408718, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xad92c08e, "snd_soc_component_force_enable_pin" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x5330ffa2, "firmware_request_nowarn" },
	{ 0x987d2fcc, "cs_dsp_cleanup_debugfs" },
	{ 0x5f3f9fcc, "cs_dsp_coeff_read_ctrl" },
	{ 0xadf9c815, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x860697fb, "cs_dsp_stop" },
	{ 0x4af6754, "cs_dsp_adsp1_power_up" },
	{ 0xa53ca756, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0xae01977a, "cs_dsp_adsp1_init" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4bd85c8d, "cs_dsp_coeff_write_ctrl" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcaaa7607, "cs_dsp_init_debugfs" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9a251642, "cs_dsp_halo_bus_error" },
	{ 0x4d440931, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x863ed983, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0xd2e4289, "cs_dsp_find_alg_region" },
	{ 0xf0f912d3, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x430acbd9, "cs_dsp_get_ctl" },
	{ 0x591f9f73, "_dev_info" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9ed7e2c4, "cs_dsp_halo_init" },
	{ 0x8b64d49a, "cs_dsp_power_down" },
	{ 0x8b18dbd5, "cs_dsp_adsp2_init" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf418ce6f, "snd_soc_add_component_controls" },
	{ 0x9392bac1, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xa29d0e98, "cs_dsp_set_dspclk" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x46dc9feb, "cs_dsp_power_up" },
	{ 0x49406586, "snd_soc_component_notify_control" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xb6bfaeb9, "cs_dsp_run" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x8ca925bd, "cs_dsp_write_data_word" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x994b9b37, "cs_dsp_halo_wdt_expire" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x62c6351a, "snd_soc_component_disable_pin" },
	{ 0xe61014de, "snd_soc_bytes_tlv_callback" },
	{ 0x407e7ae7, "cs_dsp_adsp2_bus_error" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x6cfc5656, "cs_dsp_read_raw_data_block" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x2e0c1fa9, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,cs_dsp,snd-compress");


MODULE_INFO(srcversion, "F30B2FAFA245C41784B38F7");
