#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sst_register_dsp, "_gpl", "");
KSYMTAB_FUNC(sst_unregister_dsp, "_gpl", "");

SYMBOL_CRC(sst_register_dsp, 0x7c24d077, "_gpl");
SYMBOL_CRC(sst_unregister_dsp, 0x075ced8a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x63a0c136, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe10087c7, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xd85fa2e5, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9726f533, "snd_soc_resume" },
	{ 0x3faa37a3, "snd_soc_new_compress" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4d440931, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x27c0ccfc, "snd_soc_suspend" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5c035b4a, "devm_snd_soc_register_component" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa5c755d6, "snd_soc_dapm_new_widgets" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7a885759, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x271f8a92, "snd_soc_info_volsw" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xaf4eed2f, "snd_ctl_boolean_mono_info" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9817a72d, "snd_soc_dapm_put_volsw" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf418ce6f, "snd_soc_add_component_controls" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9e803df1, "dapm_kcontrol_get_value" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe4af69cd, "snd_pcm_set_managed_buffer_all" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0x14232bab, "snd_soc_poweroff" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc5f8358b, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x4649a6b6, "__platform_driver_register" },
	{ 0xffc855e9, "snd_pcm_hw_constraint_integer" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x23766d80, "snd_soc_dapm_new_controls" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa85ff4d5, "snd_soc_dapm_get_volsw" },
	{ 0xff026841, "snd_pcm_period_elapsed" },
	{ 0xc01954f7, "kmalloc_trace" },
	{ 0x2e48b117, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xc5be2e7a, "snd_soc_dai_active" },
	{ 0x349cba85, "strchr" },
	{ 0x53b954a2, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf5102cb4, "kmalloc_caches" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd,snd-pcm");


MODULE_INFO(srcversion, "E965478C9C94A8DA33B2295");
