#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_apl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_apl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(apl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(cnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_tgl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_tgl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tgl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tglh_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(ehl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(adls_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_icl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_icl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(icl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_mtl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_mtl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(mtl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(arl_s_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(lnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_pci_intel_probe, 0x3eb18b46, "");
SYMBOL_CRC(hda_ops_free, 0x71a3878e, "");
SYMBOL_CRC(sof_skl_ops, 0xb897a7ad, "");
SYMBOL_CRC(sof_skl_ops_init, 0xfeb628c6, "");
SYMBOL_CRC(skl_chip_info, 0x1adf2afb, "");
SYMBOL_CRC(sof_apl_ops, 0x46ac5b7c, "");
SYMBOL_CRC(sof_apl_ops_init, 0xf9816802, "");
SYMBOL_CRC(apl_chip_info, 0x1f26da29, "");
SYMBOL_CRC(sof_cnl_ops, 0x2ebd6297, "");
SYMBOL_CRC(sof_cnl_ops_init, 0xe8c6bdaa, "");
SYMBOL_CRC(cnl_chip_info, 0xc8c7b36f, "");
SYMBOL_CRC(jsl_chip_info, 0x95ba8a8b, "");
SYMBOL_CRC(sof_tgl_ops, 0xd08ec673, "");
SYMBOL_CRC(sof_tgl_ops_init, 0x94f0fdb6, "");
SYMBOL_CRC(tgl_chip_info, 0x344328aa, "");
SYMBOL_CRC(tglh_chip_info, 0xf5873400, "");
SYMBOL_CRC(ehl_chip_info, 0xe88e2085, "");
SYMBOL_CRC(adls_chip_info, 0x838979ed, "");
SYMBOL_CRC(sof_icl_ops, 0xc37fc69a, "");
SYMBOL_CRC(sof_icl_ops_init, 0x02afd894, "");
SYMBOL_CRC(icl_chip_info, 0x25b20e0b, "");
SYMBOL_CRC(sof_mtl_ops, 0x8610d255, "");
SYMBOL_CRC(sof_mtl_ops_init, 0x04efe42b, "");
SYMBOL_CRC(mtl_chip_info, 0x5d5c5706, "");
SYMBOL_CRC(arl_s_chip_info, 0x8315e902, "");
SYMBOL_CRC(sof_lnl_ops, 0x8914114b, "");
SYMBOL_CRC(sof_lnl_ops_init, 0x1ca72421, "");
SYMBOL_CRC(lnl_chip_info, 0x4e0b768c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35d4f2e9, "hda_codec_jack_check" },
	{ 0xfd17b010, "hda_bus_ml_suspend" },
	{ 0xa9a1ec62, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb9693a95, "pci_save_state" },
	{ 0x139e14, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa08d4495, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xe7c0ac13, "hda_codec_i915_display_power" },
	{ 0x1aa7a163, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x63b4c25d, "bpf_trace_run4" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0xd094143c, "snd_dma_alloc_dir_pages" },
	{ 0xe10087c7, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x1bcc30ae, "snd_hdac_bus_send_cmd" },
	{ 0x6435e336, "hda_bus_ml_resume" },
	{ 0xd7d52bb9, "pci_alloc_irq_vectors" },
	{ 0x5a84a321, "intel_nhlt_get_dmic_geo" },
	{ 0xc3165fba, "snd_hdac_bus_get_response" },
	{ 0xf704405b, "snd_hdac_ext_stream_start" },
	{ 0x4fb4af28, "trace_raw_output_prep" },
	{ 0x37852dcf, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x1c6e5658, "hda_codec_set_codec_wakeup" },
	{ 0x6a57d08a, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd13eeef8, "hda_bus_ml_init" },
	{ 0x7e2fb48e, "hda_codec_probe_bus" },
	{ 0x52eb8b18, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x70ac555, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xedc03953, "iounmap" },
	{ 0xad78ebc6, "snd_pcm_hw_constraint_minmax" },
	{ 0x462f864e, "sdw_intel_exit" },
	{ 0x794686c0, "hda_codec_check_for_state_change" },
	{ 0xf07afb9e, "hda_codec_jack_wake_enable" },
	{ 0x7c929f5e, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0xaf8bd959, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9285bd68, "snd_hdac_ext_bus_init" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2fe76e78, "hda_bus_ml_free" },
	{ 0x2a2ed428, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x1166a7c4, "sof_ipc4_set_pipeline_state" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x79b1b75b, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x13b01ad9, "snd_intel_dsp_driver_probe" },
	{ 0x63185e04, "pci_irq_vector" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc26f1122, "snd_sgbuf_get_addr" },
	{ 0x4d440931, "__dynamic_dev_dbg" },
	{ 0x942295f1, "snd_sgbuf_get_chunk_size" },
	{ 0x826d581b, "pci_ioremap_bar" },
	{ 0xac81dfa1, "hdac_bus_eml_check_interrupt" },
	{ 0x8b65f09e, "sof_pci_probe" },
	{ 0x6104d44d, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1a159181, "hda_codec_i915_exit" },
	{ 0xdb0f805d, "trace_event_buffer_commit" },
	{ 0xb85db55f, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2a5b5eed, "hda_codec_resume_cmd_io" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf2101db5, "snd_hdac_ext_bus_exit" },
	{ 0x4018376c, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x20f1100d, "snd_hdac_ext_stream_clear" },
	{ 0x7f33ce8f, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x591f9f73, "_dev_info" },
	{ 0x84055454, "sdw_intel_startup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc9b27281, "snd_hdac_ext_bus_link_power" },
	{ 0x368c7509, "snd_sof_dsp_dbg_dump" },
	{ 0x618c736e, "sdw_intel_process_wakeen_event" },
	{ 0xc90412a2, "sof_mailbox_write" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x91bc1219, "sof_mailbox_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xaf56a341, "perf_trace_run_bpf_submit" },
	{ 0xbd28ece2, "hda_bus_ml_put_all" },
	{ 0x4562bd72, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x25d84360, "_dev_err" },
	{ 0x7a346ac4, "snd_sof_dsp_update_bits_forced" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3eb7470, "platform_device_unregister" },
	{ 0xe25be873, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x53fac646, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb5c274f2, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x537bc963, "trace_event_reg" },
	{ 0xfd4918ea, "hda_codec_device_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x6e64dc6c, "snd_soc_dpcm_get_substream" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfe80d9d3, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x6046d707, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xba29f364, "hda_bus_ml_reset_losidv" },
	{ 0x8cfe1c26, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x85d7b313, "snd_sof_ipc_get_reply" },
	{ 0x386511f2, "snd_sof_dsp_update_bits" },
	{ 0xd89f3d70, "hdac_bus_eml_enable_interrupt" },
	{ 0x2bdb97bb, "hdac_bus_eml_enable_offload" },
	{ 0x347c0082, "pci_restore_state" },
	{ 0x504e6e8b, "snd_sof_pci_update_bits" },
	{ 0x84b9b3bd, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xacf563ea, "hdac_bus_eml_dmic_get_hlink" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x9cf3b399, "_dev_warn" },
	{ 0x30b1e74a, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x3eada333, "sdw_intel_lnl_hw_ops" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x262d6bcb, "pci_set_master" },
	{ 0x39d684d5, "param_ops_charp" },
	{ 0x8d474f91, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd25ed9f, "dma_set_coherent_mask" },
	{ 0xa4cb46ad, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xffc855e9, "snd_pcm_hw_constraint_integer" },
	{ 0xa0c474f1, "bpf_trace_run3" },
	{ 0xb367e070, "hda_codec_rirb_status_clear" },
	{ 0x98081819, "hda_codec_suspend_cmd_io" },
	{ 0xe2caf949, "snd_sof_ipc_reply" },
	{ 0xa9f1f54b, "hda_codec_init_cmd_io" },
	{ 0x2ca9eccf, "hda_codec_stop_cmd_io" },
	{ 0xa81aca44, "hda_codec_detect_mask" },
	{ 0x4f73df65, "platform_device_register_full" },
	{ 0x4cba1bfe, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xcf5e35cd, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5593863, "sof_machine_unregister" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x411613fe, "sof_ipc_tx_message" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xe3c938a7, "sdw_intel_probe" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x72c6a8a5, "snd_sof_load_firmware_raw" },
	{ 0xa2880857, "snd_sof_dsp_panic" },
	{ 0xb30ba9c5, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x3dccc7a, "snd_sof_suspend" },
	{ 0xf57e77c1, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x7e3e225c, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2e48b117, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xeb550f27, "param_ops_int" },
	{ 0x402b742a, "intel_nhlt_init" },
	{ 0x3e11bf7, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x33f36833, "sof_client_dev_unregister" },
	{ 0xad5557f5, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xe7bf7c4b, "hda_codec_i915_init" },
	{ 0xe34a727, "pci_free_irq_vectors" },
	{ 0xac82c8fe, "hda_codec_check_rirb_status" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x15e01593, "snd_hdac_ext_stream_reset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0xa3fc5e39, "hdac_bus_eml_get_count" },
	{ 0xaf42d57, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1a72e087, "sof_io_write" },
	{ 0xb2c97ea2, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1c0050ca, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfb5d4545, "hdac_bus_eml_get_mutex" },
	{ 0x4b6d221c, "snd_soc_acpi_intel_hda_machines" },
	{ 0x98ce85de, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda,snd-sof-intel-hda-mlink,snd-soc-acpi,snd-sof,soundwire-intel,snd-pcm,snd-hda-core,snd-intel-dspcfg,snd-hda-ext-core,snd-sof-xtensa-dsp,snd-sof-pci,snd-soc-hdac-hda,snd-soc-core,snd-intel-sdw-acpi,snd-soc-acpi-intel-match");


MODULE_INFO(srcversion, "5956AB3BB86AA21F1626CFD");
